#include <algorithm>
#include <cctype>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstring>
#include <iomanip>
#include <iostream>
#include <list>
#include <map>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <string>
#include <utility>
#include <vector>
using namespace std;

#define DEBUG(x) cout << ">>> " << #x << " : " << x << endl;
#define REP(i,a) for (int i = 0; i < (a); ++i)
#define FOR(i,a,b) for (int i = (a); i <= (b); ++i)
#define FORD(i,a,b) for (int i = (a); i >= (b); --i)
inline bool EQ(double a, double b) { return fabs(a-b) < 1e-9; }

const int INF = 1<<29;
typedef long long ll;
///////////////////////////////////////////////////////////////////////////

const int MAX = 10007;
int N, M;
vector<int> graph[MAX];
int visited[MAX];

bool go(int node)
{
  queue<int> manage;
  manage.push(node);
  visited[node] = true;
  
  int sum = 0, root = node;
  while (!manage.empty())
  {
    node = manage.front();
    manage.pop();
    
    int found = 0;
    REP(i, graph[node].size())
      {
	int next = graph[node][i];
	if (!visited[next])
	{
	  manage.push(next);
	  visited[next] = true;
	  found += 1;
	}
      }
    if (!found || (node==root && found==1)) sum += 1;
  }
  return sum >= 4;
}

int main()
{
  while (scanf("%d%d", &N, &M) == 2)
  {
    REP(i, N) graph[i].clear();
    REP(i, M)
    {
	int a, b;
	scanf("%d%d", &a, &b);
	--a, --b;
	graph[a].push_back(b);
	graph[b].push_back(a);
    }
    memset(visited, 0, sizeof(visited));
    bool ok = false;
    REP(i, N)
      if (!visited[i])
	ok = ok || go(i);
    if (ok) printf("YES\n");
    else printf("NO\n");
  }
  
  return 0;
}