#include <algorithm>
#include <cctype>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstring>
#include <iomanip>
#include <iostream>
#include <list>
#include <map>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <string>
#include <utility>
#include <vector>
using namespace std;

#define DEBUG(x) cout << ">>> " << #x << " : " << x << endl;
#define REP(i,a) for (int i = 0; i < (a); ++i)
#define FOR(i,a,b) for (int i = (a); i <= (b); ++i)
#define FORD(i,a,b) for (int i = (a); i >= (b); --i)
inline bool EQ(double a, double b) { return fabs(a-b) < 1e-9; }

const int INF = 1<<29;
typedef long long ll;
///////////////////////////////////////////////////////////////////////////

string letters = "FILNPTUVWXYZ";
char in[10];

int get_index(char c)
{
  REP(i, letters.size())
    if (c == letters[i])
      return i;
  return -1;	
}

typedef pair<pair<int, int>, pair<int, int> > pp;
pp norm(int a, int b, int c, int d)
{
  if (a > b) swap(a, b);
  if (c > d) swap(c, d);
  if (a > c || (a == c && b > d))
  {
    swap(a, c);
    swap(b, d);
  }
  return make_pair(make_pair(a, b), make_pair(c, d));
}

const int MAX = 3081;
string X[MAX][2] = {
  {"0 0 0 0", "YES"},
{"0 0 0 1", "NO"},
{"0 0 0 2", "NO"},
{"0 0 0 3", "NO"},
{"0 0 0 4", "YES"},
{"0 0 0 5", "NO"},
{"0 0 0 6", "NO"},
{"0 0 0 7", "NO"},
{"0 0 0 8", "NO"},
{"0 0 0 9", "NO"},
{"0 0 0 10", "NO"},
{"0 0 0 11", "NO"},
{"0 0 1 1", "NO"},
{"0 0 1 2", "NO"},
{"0 0 1 3", "NO"},
{"0 0 1 4", "NO"},
{"0 0 1 5", "NO"},
{"0 0 1 6", "NO"},
{"0 0 1 7", "NO"},
{"0 0 1 8", "NO"},
{"0 0 1 9", "NO"},
{"0 0 1 10", "NO"},
{"0 0 1 11", "NO"},
{"0 0 2 2", "YES"},
{"0 0 2 3", "YES"},
{"0 0 2 4", "NO"},
{"0 0 2 5", "NO"},
{"0 0 2 6", "NO"},
{"0 0 2 7", "NO"},
{"0 0 2 8", "NO"},
{"0 0 2 9", "NO"},
{"0 0 2 10", "YES"},
{"0 0 2 11", "NO"},
{"0 0 3 3", "YES"},
{"0 0 3 4", "YES"},
{"0 0 3 5", "NO"},
{"0 0 3 6", "NO"},
{"0 0 3 7", "NO"},
{"0 0 3 8", "NO"},
{"0 0 3 9", "NO"},
{"0 0 3 10", "YES"},
{"0 0 3 11", "NO"},
{"0 0 4 4", "YES"},
{"0 0 4 5", "NO"},
{"0 0 4 6", "NO"},
{"0 0 4 7", "NO"},
{"0 0 4 8", "NO"},
{"0 0 4 9", "NO"},
{"0 0 4 10", "YES"},
{"0 0 4 11", "NO"},
{"0 0 5 5", "YES"},
{"0 0 5 6", "NO"},
{"0 0 5 7", "NO"},
{"0 0 5 8", "YES"},
{"0 0 5 9", "YES"},
{"0 0 5 10", "NO"},
{"0 0 5 11", "YES"},
{"0 0 6 6", "NO"},
{"0 0 6 7", "NO"},
{"0 0 6 8", "NO"},
{"0 0 6 9", "NO"},
{"0 0 6 10", "NO"},
{"0 0 6 11", "NO"},
{"0 0 7 7", "NO"},
{"0 0 7 8", "NO"},
{"0 0 7 9", "NO"},
{"0 0 7 10", "NO"},
{"0 0 7 11", "NO"},
{"0 0 8 8", "YES"},
{"0 0 8 9", "YES"},
{"0 0 8 10", "NO"},
{"0 0 8 11", "YES"},
{"0 0 9 9", "YES"},
{"0 0 9 10", "NO"},
{"0 0 9 11", "YES"},
{"0 0 10 10", "YES"},
{"0 0 10 11", "NO"},
{"0 0 11 11", "YES"},
{"0 1 0 1", "YES"},
{"0 1 0 2", "NO"},
{"0 1 0 3", "NO"},
{"0 1 0 4", "NO"},
{"0 1 0 5", "NO"},
{"0 1 0 6", "NO"},
{"0 1 0 7", "NO"},
{"0 1 0 8", "NO"},
{"0 1 0 9", "NO"},
{"0 1 0 10", "NO"},
{"0 1 0 11", "NO"},
{"0 1 1 1", "NO"},
{"0 1 1 2", "NO"},
{"0 1 1 3", "NO"},
{"0 1 1 4", "NO"},
{"0 1 1 5", "NO"},
{"0 1 1 6", "NO"},
{"0 1 1 7", "NO"},
{"0 1 1 8", "NO"},
{"0 1 1 9", "NO"},
{"0 1 1 10", "NO"},
{"0 1 1 11", "NO"},
{"0 1 2 2", "NO"},
{"0 1 2 3", "NO"},
{"0 1 2 4", "YES"},
{"0 1 2 5", "NO"},
{"0 1 2 6", "NO"},
{"0 1 2 7", "NO"},
{"0 1 2 8", "NO"},
{"0 1 2 9", "NO"},
{"0 1 2 10", "YES"},
{"0 1 2 11", "NO"},
{"0 1 3 3", "NO"},
{"0 1 3 4", "NO"},
{"0 1 3 5", "NO"},
{"0 1 3 6", "NO"},
{"0 1 3 7", "NO"},
{"0 1 3 8", "NO"},
{"0 1 3 9", "NO"},
{"0 1 3 10", "NO"},
{"0 1 3 11", "NO"},
{"0 1 4 4", "NO"},
{"0 1 4 5", "NO"},
{"0 1 4 6", "NO"},
{"0 1 4 7", "NO"},
{"0 1 4 8", "NO"},
{"0 1 4 9", "NO"},
{"0 1 4 10", "NO"},
{"0 1 4 11", "NO"},
{"0 1 5 5", "NO"},
{"0 1 5 6", "NO"},
{"0 1 5 7", "NO"},
{"0 1 5 8", "NO"},
{"0 1 5 9", "NO"},
{"0 1 5 10", "NO"},
{"0 1 5 11", "NO"},
{"0 1 6 6", "NO"},
{"0 1 6 7", "NO"},
{"0 1 6 8", "NO"},
{"0 1 6 9", "NO"},
{"0 1 6 10", "NO"},
{"0 1 6 11", "NO"},
{"0 1 7 7", "NO"},
{"0 1 7 8", "NO"},
{"0 1 7 9", "NO"},
{"0 1 7 10", "NO"},
{"0 1 7 11", "NO"},
{"0 1 8 8", "NO"},
{"0 1 8 9", "NO"},
{"0 1 8 10", "NO"},
{"0 1 8 11", "NO"},
{"0 1 9 9", "NO"},
{"0 1 9 10", "NO"},
{"0 1 9 11", "NO"},
{"0 1 10 10", "NO"},
{"0 1 10 11", "NO"},
{"0 1 11 11", "NO"},
{"0 2 0 2", "YES"},
{"0 2 0 3", "NO"},
{"0 2 0 4", "NO"},
{"0 2 0 5", "NO"},
{"0 2 0 6", "NO"},
{"0 2 0 7", "NO"},
{"0 2 0 8", "NO"},
{"0 2 0 9", "NO"},
{"0 2 0 10", "YES"},
{"0 2 0 11", "NO"},
{"0 2 1 1", "NO"},
{"0 2 1 2", "NO"},
{"0 2 1 3", "NO"},
{"0 2 1 4", "YES"},
{"0 2 1 5", "NO"},
{"0 2 1 6", "NO"},
{"0 2 1 7", "NO"},
{"0 2 1 8", "NO"},
{"0 2 1 9", "NO"},
{"0 2 1 10", "YES"},
{"0 2 1 11", "NO"},
{"0 2 2 2", "NO"},
{"0 2 2 3", "NO"},
{"0 2 2 4", "NO"},
{"0 2 2 5", "NO"},
{"0 2 2 6", "NO"},
{"0 2 2 7", "NO"},
{"0 2 2 8", "NO"},
{"0 2 2 9", "NO"},
{"0 2 2 10", "NO"},
{"0 2 2 11", "NO"},
{"0 2 3 3", "NO"},
{"0 2 3 4", "YES"},
{"0 2 3 5", "YES"},
{"0 2 3 6", "NO"},
{"0 2 3 7", "NO"},
{"0 2 3 8", "NO"},
{"0 2 3 9", "NO"},
{"0 2 3 10", "NO"},
{"0 2 3 11", "NO"},
{"0 2 4 4", "NO"},
{"0 2 4 5", "NO"},
{"0 2 4 6", "YES"},
{"0 2 4 7", "NO"},
{"0 2 4 8", "NO"},
{"0 2 4 9", "NO"},
{"0 2 4 10", "YES"},
{"0 2 4 11", "YES"},
{"0 2 5 5", "NO"},
{"0 2 5 6", "NO"},
{"0 2 5 7", "NO"},
{"0 2 5 8", "NO"},
{"0 2 5 9", "NO"},
{"0 2 5 10", "YES"},
{"0 2 5 11", "NO"},
{"0 2 6 6", "NO"},
{"0 2 6 7", "NO"},
{"0 2 6 8", "NO"},
{"0 2 6 9", "NO"},
{"0 2 6 10", "YES"},
{"0 2 6 11", "NO"},
{"0 2 7 7", "NO"},
{"0 2 7 8", "NO"},
{"0 2 7 9", "NO"},
{"0 2 7 10", "YES"},
{"0 2 7 11", "NO"},
{"0 2 8 8", "NO"},
{"0 2 8 9", "NO"},
{"0 2 8 10", "YES"},
{"0 2 8 11", "NO"},
{"0 2 9 9", "NO"},
{"0 2 9 10", "YES"},
{"0 2 9 11", "NO"},
{"0 2 10 10", "NO"},
{"0 2 10 11", "YES"},
{"0 2 11 11", "NO"},
{"0 3 0 3", "YES"},
{"0 3 0 4", "YES"},
{"0 3 0 5", "NO"},
{"0 3 0 6", "NO"},
{"0 3 0 7", "NO"},
{"0 3 0 8", "NO"},
{"0 3 0 9", "NO"},
{"0 3 0 10", "NO"},
{"0 3 0 11", "NO"},
{"0 3 1 1", "NO"},
{"0 3 1 2", "NO"},
{"0 3 1 3", "NO"},
{"0 3 1 4", "NO"},
{"0 3 1 5", "NO"},
{"0 3 1 6", "NO"},
{"0 3 1 7", "NO"},
{"0 3 1 8", "NO"},
{"0 3 1 9", "NO"},
{"0 3 1 10", "YES"},
{"0 3 1 11", "NO"},
{"0 3 2 2", "YES"},
{"0 3 2 3", "YES"},
{"0 3 2 4", "NO"},
{"0 3 2 5", "YES"},
{"0 3 2 6", "NO"},
{"0 3 2 7", "NO"},
{"0 3 2 8", "NO"},
{"0 3 2 9", "NO"},
{"0 3 2 10", "NO"},
{"0 3 2 11", "NO"},
{"0 3 3 3", "NO"},
{"0 3 3 4", "NO"},
{"0 3 3 5", "YES"},
{"0 3 3 6", "NO"},
{"0 3 3 7", "NO"},
{"0 3 3 8", "NO"},
{"0 3 3 9", "NO"},
{"0 3 3 10", "NO"},
{"0 3 3 11", "NO"},
{"0 3 4 4", "YES"},
{"0 3 4 5", "YES"},
{"0 3 4 6", "NO"},
{"0 3 4 7", "YES"},
{"0 3 4 8", "YES"},
{"0 3 4 9", "NO"},
{"0 3 4 10", "YES"},
{"0 3 4 11", "NO"},
{"0 3 5 5", "NO"},
{"0 3 5 6", "NO"},
{"0 3 5 7", "NO"},
{"0 3 5 8", "NO"},
{"0 3 5 9", "NO"},
{"0 3 5 10", "YES"},
{"0 3 5 11", "NO"},
{"0 3 6 6", "NO"},
{"0 3 6 7", "NO"},
{"0 3 6 8", "NO"},
{"0 3 6 9", "NO"},
{"0 3 6 10", "YES"},
{"0 3 6 11", "NO"},
{"0 3 7 7", "NO"},
{"0 3 7 8", "YES"},
{"0 3 7 9", "NO"},
{"0 3 7 10", "YES"},
{"0 3 7 11", "YES"},
{"0 3 8 8", "NO"},
{"0 3 8 9", "NO"},
{"0 3 8 10", "YES"},
{"0 3 8 11", "NO"},
{"0 3 9 9", "NO"},
{"0 3 9 10", "YES"},
{"0 3 9 11", "NO"},
{"0 3 10 10", "NO"},
{"0 3 10 11", "YES"},
{"0 3 11 11", "NO"},
{"0 4 0 4", "YES"},
{"0 4 0 5", "NO"},
{"0 4 0 6", "NO"},
{"0 4 0 7", "NO"},
{"0 4 0 8", "YES"},
{"0 4 0 9", "NO"},
{"0 4 0 10", "YES"},
{"0 4 0 11", "NO"},
{"0 4 1 1", "NO"},
{"0 4 1 2", "YES"},
{"0 4 1 3", "NO"},
{"0 4 1 4", "NO"},
{"0 4 1 5", "NO"},
{"0 4 1 6", "NO"},
{"0 4 1 7", "NO"},
{"0 4 1 8", "NO"},
{"0 4 1 9", "NO"},
{"0 4 1 10", "NO"},
{"0 4 1 11", "NO"},
{"0 4 2 2", "YES"},
{"0 4 2 3", "YES"},
{"0 4 2 4", "YES"},
{"0 4 2 5", "NO"},
{"0 4 2 6", "NO"},
{"0 4 2 7", "NO"},
{"0 4 2 8", "NO"},
{"0 4 2 9", "NO"},
{"0 4 2 10", "YES"},
{"0 4 2 11", "NO"},
{"0 4 3 3", "YES"},
{"0 4 3 4", "YES"},
{"0 4 3 5", "NO"},
{"0 4 3 6", "NO"},
{"0 4 3 7", "NO"},
{"0 4 3 8", "YES"},
{"0 4 3 9", "NO"},
{"0 4 3 10", "YES"},
{"0 4 3 11", "YES"},
{"0 4 4 4", "YES"},
{"0 4 4 5", "YES"},
{"0 4 4 6", "NO"},
{"0 4 4 7", "YES"},
{"0 4 4 8", "YES"},
{"0 4 4 9", "YES"},
{"0 4 4 10", "YES"},
{"0 4 4 11", "YES"},
{"0 4 5 5", "NO"},
{"0 4 5 6", "YES"},
{"0 4 5 7", "NO"},
{"0 4 5 8", "NO"},
{"0 4 5 9", "NO"},
{"0 4 5 10", "YES"},
{"0 4 5 11", "NO"},
{"0 4 6 6", "NO"},
{"0 4 6 7", "NO"},
{"0 4 6 8", "YES"},
{"0 4 6 9", "YES"},
{"0 4 6 10", "NO"},
{"0 4 6 11", "YES"},
{"0 4 7 7", "NO"},
{"0 4 7 8", "NO"},
{"0 4 7 9", "NO"},
{"0 4 7 10", "YES"},
{"0 4 7 11", "NO"},
{"0 4 8 8", "YES"},
{"0 4 8 9", "NO"},
{"0 4 8 10", "NO"},
{"0 4 8 11", "NO"},
{"0 4 9 9", "NO"},
{"0 4 9 10", "NO"},
{"0 4 9 11", "NO"},
{"0 4 10 10", "YES"},
{"0 4 10 11", "NO"},
{"0 4 11 11", "NO"},
{"0 5 0 5", "YES"},
{"0 5 0 6", "NO"},
{"0 5 0 7", "NO"},
{"0 5 0 8", "YES"},
{"0 5 0 9", "YES"},
{"0 5 0 10", "NO"},
{"0 5 0 11", "YES"},
{"0 5 1 1", "NO"},
{"0 5 1 2", "NO"},
{"0 5 1 3", "NO"},
{"0 5 1 4", "NO"},
{"0 5 1 5", "NO"},
{"0 5 1 6", "YES"},
{"0 5 1 7", "NO"},
{"0 5 1 8", "NO"},
{"0 5 1 9", "NO"},
{"0 5 1 10", "NO"},
{"0 5 1 11", "NO"},
{"0 5 2 2", "NO"},
{"0 5 2 3", "NO"},
{"0 5 2 4", "NO"},
{"0 5 2 5", "NO"},
{"0 5 2 6", "NO"},
{"0 5 2 7", "NO"},
{"0 5 2 8", "NO"},
{"0 5 2 9", "NO"},
{"0 5 2 10", "YES"},
{"0 5 2 11", "NO"},
{"0 5 3 3", "NO"},
{"0 5 3 4", "NO"},
{"0 5 3 5", "NO"},
{"0 5 3 6", "NO"},
{"0 5 3 7", "NO"},
{"0 5 3 8", "NO"},
{"0 5 3 9", "NO"},
{"0 5 3 10", "YES"},
{"0 5 3 11", "NO"},
{"0 5 4 4", "YES"},
{"0 5 4 5", "NO"},
{"0 5 4 6", "NO"},
{"0 5 4 7", "NO"},
{"0 5 4 8", "NO"},
{"0 5 4 9", "NO"},
{"0 5 4 10", "YES"},
{"0 5 4 11", "YES"},
{"0 5 5 5", "NO"},
{"0 5 5 6", "NO"},
{"0 5 5 7", "NO"},
{"0 5 5 8", "NO"},
{"0 5 5 9", "NO"},
{"0 5 5 10", "NO"},
{"0 5 5 11", "NO"},
{"0 5 6 6", "NO"},
{"0 5 6 7", "NO"},
{"0 5 6 8", "NO"},
{"0 5 6 9", "NO"},
{"0 5 6 10", "NO"},
{"0 5 6 11", "NO"},
{"0 5 7 7", "NO"},
{"0 5 7 8", "NO"},
{"0 5 7 9", "NO"},
{"0 5 7 10", "NO"},
{"0 5 7 11", "NO"},
{"0 5 8 8", "NO"},
{"0 5 8 9", "NO"},
{"0 5 8 10", "NO"},
{"0 5 8 11", "NO"},
{"0 5 9 9", "NO"},
{"0 5 9 10", "NO"},
{"0 5 9 11", "NO"},
{"0 5 10 10", "YES"},
{"0 5 10 11", "NO"},
{"0 5 11 11", "NO"},
{"0 6 0 6", "YES"},
{"0 6 0 7", "NO"},
{"0 6 0 8", "NO"},
{"0 6 0 9", "NO"},
{"0 6 0 10", "NO"},
{"0 6 0 11", "YES"},
{"0 6 1 1", "NO"},
{"0 6 1 2", "NO"},
{"0 6 1 3", "NO"},
{"0 6 1 4", "NO"},
{"0 6 1 5", "NO"},
{"0 6 1 6", "NO"},
{"0 6 1 7", "NO"},
{"0 6 1 8", "NO"},
{"0 6 1 9", "NO"},
{"0 6 1 10", "NO"},
{"0 6 1 11", "NO"},
{"0 6 2 2", "NO"},
{"0 6 2 3", "NO"},
{"0 6 2 4", "YES"},
{"0 6 2 5", "NO"},
{"0 6 2 6", "NO"},
{"0 6 2 7", "NO"},
{"0 6 2 8", "NO"},
{"0 6 2 9", "NO"},
{"0 6 2 10", "YES"},
{"0 6 2 11", "NO"},
{"0 6 3 3", "NO"},
{"0 6 3 4", "NO"},
{"0 6 3 5", "NO"},
{"0 6 3 6", "NO"},
{"0 6 3 7", "NO"},
{"0 6 3 8", "NO"},
{"0 6 3 9", "NO"},
{"0 6 3 10", "NO"},
{"0 6 3 11", "NO"},
{"0 6 4 4", "NO"},
{"0 6 4 5", "YES"},
{"0 6 4 6", "NO"},
{"0 6 4 7", "YES"},
{"0 6 4 8", "YES"},
{"0 6 4 9", "YES"},
{"0 6 4 10", "YES"},
{"0 6 4 11", "YES"},
{"0 6 5 5", "NO"},
{"0 6 5 6", "NO"},
{"0 6 5 7", "NO"},
{"0 6 5 8", "NO"},
{"0 6 5 9", "NO"},
{"0 6 5 10", "NO"},
{"0 6 5 11", "NO"},
{"0 6 6 6", "NO"},
{"0 6 6 7", "YES"},
{"0 6 6 8", "NO"},
{"0 6 6 9", "NO"},
{"0 6 6 10", "YES"},
{"0 6 6 11", "NO"},
{"0 6 7 7", "NO"},
{"0 6 7 8", "NO"},
{"0 6 7 9", "NO"},
{"0 6 7 10", "NO"},
{"0 6 7 11", "NO"},
{"0 6 8 8", "NO"},
{"0 6 8 9", "NO"},
{"0 6 8 10", "NO"},
{"0 6 8 11", "NO"},
{"0 6 9 9", "NO"},
{"0 6 9 10", "NO"},
{"0 6 9 11", "NO"},
{"0 6 10 10", "NO"},
{"0 6 10 11", "NO"},
{"0 6 11 11", "NO"},
{"0 7 0 7", "YES"},
{"0 7 0 8", "NO"},
{"0 7 0 9", "NO"},
{"0 7 0 10", "NO"},
{"0 7 0 11", "NO"},
{"0 7 1 1", "NO"},
{"0 7 1 2", "NO"},
{"0 7 1 3", "NO"},
{"0 7 1 4", "NO"},
{"0 7 1 5", "NO"},
{"0 7 1 6", "NO"},
{"0 7 1 7", "NO"},
{"0 7 1 8", "NO"},
{"0 7 1 9", "NO"},
{"0 7 1 10", "NO"},
{"0 7 1 11", "NO"},
{"0 7 2 2", "NO"},
{"0 7 2 3", "NO"},
{"0 7 2 4", "NO"},
{"0 7 2 5", "NO"},
{"0 7 2 6", "YES"},
{"0 7 2 7", "NO"},
{"0 7 2 8", "NO"},
{"0 7 2 9", "NO"},
{"0 7 2 10", "NO"},
{"0 7 2 11", "NO"},
{"0 7 3 3", "NO"},
{"0 7 3 4", "YES"},
{"0 7 3 5", "NO"},
{"0 7 3 6", "YES"},
{"0 7 3 7", "NO"},
{"0 7 3 8", "YES"},
{"0 7 3 9", "NO"},
{"0 7 3 10", "YES"},
{"0 7 3 11", "YES"},
{"0 7 4 4", "YES"},
{"0 7 4 5", "NO"},
{"0 7 4 6", "NO"},
{"0 7 4 7", "NO"},
{"0 7 4 8", "NO"},
{"0 7 4 9", "NO"},
{"0 7 4 10", "YES"},
{"0 7 4 11", "NO"},
{"0 7 5 5", "NO"},
{"0 7 5 6", "NO"},
{"0 7 5 7", "NO"},
{"0 7 5 8", "NO"},
{"0 7 5 9", "NO"},
{"0 7 5 10", "NO"},
{"0 7 5 11", "NO"},
{"0 7 6 6", "NO"},
{"0 7 6 7", "NO"},
{"0 7 6 8", "NO"},
{"0 7 6 9", "NO"},
{"0 7 6 10", "YES"},
{"0 7 6 11", "NO"},
{"0 7 7 7", "NO"},
{"0 7 7 8", "NO"},
{"0 7 7 9", "NO"},
{"0 7 7 10", "NO"},
{"0 7 7 11", "NO"},
{"0 7 8 8", "NO"},
{"0 7 8 9", "NO"},
{"0 7 8 10", "NO"},
{"0 7 8 11", "NO"},
{"0 7 9 9", "NO"},
{"0 7 9 10", "NO"},
{"0 7 9 11", "NO"},
{"0 7 10 10", "NO"},
{"0 7 10 11", "NO"},
{"0 7 11 11", "NO"},
{"0 8 0 8", "YES"},
{"0 8 0 9", "YES"},
{"0 8 0 10", "NO"},
{"0 8 0 11", "YES"},
{"0 8 1 1", "NO"},
{"0 8 1 2", "NO"},
{"0 8 1 3", "NO"},
{"0 8 1 4", "NO"},
{"0 8 1 5", "NO"},
{"0 8 1 6", "NO"},
{"0 8 1 7", "NO"},
{"0 8 1 8", "NO"},
{"0 8 1 9", "NO"},
{"0 8 1 10", "NO"},
{"0 8 1 11", "NO"},
{"0 8 2 2", "NO"},
{"0 8 2 3", "NO"},
{"0 8 2 4", "YES"},
{"0 8 2 5", "NO"},
{"0 8 2 6", "NO"},
{"0 8 2 7", "NO"},
{"0 8 2 8", "NO"},
{"0 8 2 9", "NO"},
{"0 8 2 10", "YES"},
{"0 8 2 11", "NO"},
{"0 8 3 3", "NO"},
{"0 8 3 4", "YES"},
{"0 8 3 5", "NO"},
{"0 8 3 6", "YES"},
{"0 8 3 7", "NO"},
{"0 8 3 8", "NO"},
{"0 8 3 9", "NO"},
{"0 8 3 10", "YES"},
{"0 8 3 11", "NO"},
{"0 8 4 4", "NO"},
{"0 8 4 5", "NO"},
{"0 8 4 6", "NO"},
{"0 8 4 7", "NO"},
{"0 8 4 8", "NO"},
{"0 8 4 9", "NO"},
{"0 8 4 10", "YES"},
{"0 8 4 11", "YES"},
{"0 8 5 5", "NO"},
{"0 8 5 6", "NO"},
{"0 8 5 7", "NO"},
{"0 8 5 8", "NO"},
{"0 8 5 9", "NO"},
{"0 8 5 10", "NO"},
{"0 8 5 11", "NO"},
{"0 8 6 6", "NO"},
{"0 8 6 7", "NO"},
{"0 8 6 8", "NO"},
{"0 8 6 9", "NO"},
{"0 8 6 10", "NO"},
{"0 8 6 11", "NO"},
{"0 8 7 7", "NO"},
{"0 8 7 8", "NO"},
{"0 8 7 9", "NO"},
{"0 8 7 10", "NO"},
{"0 8 7 11", "NO"},
{"0 8 8 8", "NO"},
{"0 8 8 9", "NO"},
{"0 8 8 10", "NO"},
{"0 8 8 11", "NO"},
{"0 8 9 9", "NO"},
{"0 8 9 10", "NO"},
{"0 8 9 11", "NO"},
{"0 8 10 10", "NO"},
{"0 8 10 11", "NO"},
{"0 8 11 11", "NO"},
{"0 9 0 9", "YES"},
{"0 9 0 10", "NO"},
{"0 9 0 11", "YES"},
{"0 9 1 1", "NO"},
{"0 9 1 2", "NO"},
{"0 9 1 3", "NO"},
{"0 9 1 4", "NO"},
{"0 9 1 5", "NO"},
{"0 9 1 6", "NO"},
{"0 9 1 7", "NO"},
{"0 9 1 8", "NO"},
{"0 9 1 9", "NO"},
{"0 9 1 10", "NO"},
{"0 9 1 11", "NO"},
{"0 9 2 2", "NO"},
{"0 9 2 3", "NO"},
{"0 9 2 4", "NO"},
{"0 9 2 5", "NO"},
{"0 9 2 6", "NO"},
{"0 9 2 7", "NO"},
{"0 9 2 8", "NO"},
{"0 9 2 9", "NO"},
{"0 9 2 10", "YES"},
{"0 9 2 11", "NO"},
{"0 9 3 3", "NO"},
{"0 9 3 4", "NO"},
{"0 9 3 5", "NO"},
{"0 9 3 6", "NO"},
{"0 9 3 7", "NO"},
{"0 9 3 8", "NO"},
{"0 9 3 9", "NO"},
{"0 9 3 10", "YES"},
{"0 9 3 11", "NO"},
{"0 9 4 4", "NO"},
{"0 9 4 5", "NO"},
{"0 9 4 6", "NO"},
{"0 9 4 7", "NO"},
{"0 9 4 8", "NO"},
{"0 9 4 9", "NO"},
{"0 9 4 10", "NO"},
{"0 9 4 11", "NO"},
{"0 9 5 5", "NO"},
{"0 9 5 6", "NO"},
{"0 9 5 7", "NO"},
{"0 9 5 8", "NO"},
{"0 9 5 9", "NO"},
{"0 9 5 10", "NO"},
{"0 9 5 11", "NO"},
{"0 9 6 6", "NO"},
{"0 9 6 7", "NO"},
{"0 9 6 8", "NO"},
{"0 9 6 9", "NO"},
{"0 9 6 10", "NO"},
{"0 9 6 11", "NO"},
{"0 9 7 7", "NO"},
{"0 9 7 8", "NO"},
{"0 9 7 9", "NO"},
{"0 9 7 10", "NO"},
{"0 9 7 11", "NO"},
{"0 9 8 8", "NO"},
{"0 9 8 9", "NO"},
{"0 9 8 10", "NO"},
{"0 9 8 11", "NO"},
{"0 9 9 9", "NO"},
{"0 9 9 10", "NO"},
{"0 9 9 11", "NO"},
{"0 9 10 10", "YES"},
{"0 9 10 11", "NO"},
{"0 9 11 11", "NO"},
{"0 10 0 10", "YES"},
{"0 10 0 11", "NO"},
{"0 10 1 1", "NO"},
{"0 10 1 2", "YES"},
{"0 10 1 3", "YES"},
{"0 10 1 4", "NO"},
{"0 10 1 5", "NO"},
{"0 10 1 6", "NO"},
{"0 10 1 7", "NO"},
{"0 10 1 8", "NO"},
{"0 10 1 9", "NO"},
{"0 10 1 10", "YES"},
{"0 10 1 11", "NO"},
{"0 10 2 2", "NO"},
{"0 10 2 3", "NO"},
{"0 10 2 4", "YES"},
{"0 10 2 5", "YES"},
{"0 10 2 6", "YES"},
{"0 10 2 7", "YES"},
{"0 10 2 8", "YES"},
{"0 10 2 9", "YES"},
{"0 10 2 10", "NO"},
{"0 10 2 11", "YES"},
{"0 10 3 3", "NO"},
{"0 10 3 4", "NO"},
{"0 10 3 5", "YES"},
{"0 10 3 6", "NO"},
{"0 10 3 7", "YES"},
{"0 10 3 8", "YES"},
{"0 10 3 9", "YES"},
{"0 10 3 10", "NO"},
{"0 10 3 11", "YES"},
{"0 10 4 4", "YES"},
{"0 10 4 5", "YES"},
{"0 10 4 6", "NO"},
{"0 10 4 7", "NO"},
{"0 10 4 8", "NO"},
{"0 10 4 9", "NO"},
{"0 10 4 10", "YES"},
{"0 10 4 11", "NO"},
{"0 10 5 5", "NO"},
{"0 10 5 6", "NO"},
{"0 10 5 7", "NO"},
{"0 10 5 8", "NO"},
{"0 10 5 9", "NO"},
{"0 10 5 10", "YES"},
{"0 10 5 11", "NO"},
{"0 10 6 6", "NO"},
{"0 10 6 7", "NO"},
{"0 10 6 8", "NO"},
{"0 10 6 9", "NO"},
{"0 10 6 10", "NO"},
{"0 10 6 11", "NO"},
{"0 10 7 7", "NO"},
{"0 10 7 8", "NO"},
{"0 10 7 9", "NO"},
{"0 10 7 10", "YES"},
{"0 10 7 11", "NO"},
{"0 10 8 8", "NO"},
{"0 10 8 9", "NO"},
{"0 10 8 10", "YES"},
{"0 10 8 11", "NO"},
{"0 10 9 9", "NO"},
{"0 10 9 10", "YES"},
{"0 10 9 11", "NO"},
{"0 10 10 10", "NO"},
{"0 10 10 11", "YES"},
{"0 10 11 11", "NO"},
{"0 11 0 11", "YES"},
{"0 11 1 1", "NO"},
{"0 11 1 2", "NO"},
{"0 11 1 3", "NO"},
{"0 11 1 4", "NO"},
{"0 11 1 5", "NO"},
{"0 11 1 6", "NO"},
{"0 11 1 7", "NO"},
{"0 11 1 8", "NO"},
{"0 11 1 9", "NO"},
{"0 11 1 10", "NO"},
{"0 11 1 11", "NO"},
{"0 11 2 2", "NO"},
{"0 11 2 3", "NO"},
{"0 11 2 4", "YES"},
{"0 11 2 5", "NO"},
{"0 11 2 6", "NO"},
{"0 11 2 7", "NO"},
{"0 11 2 8", "NO"},
{"0 11 2 9", "NO"},
{"0 11 2 10", "YES"},
{"0 11 2 11", "NO"},
{"0 11 3 3", "NO"},
{"0 11 3 4", "YES"},
{"0 11 3 5", "NO"},
{"0 11 3 6", "NO"},
{"0 11 3 7", "NO"},
{"0 11 3 8", "NO"},
{"0 11 3 9", "NO"},
{"0 11 3 10", "YES"},
{"0 11 3 11", "NO"},
{"0 11 4 4", "NO"},
{"0 11 4 5", "YES"},
{"0 11 4 6", "NO"},
{"0 11 4 7", "NO"},
{"0 11 4 8", "NO"},
{"0 11 4 9", "NO"},
{"0 11 4 10", "NO"},
{"0 11 4 11", "NO"},
{"0 11 5 5", "NO"},
{"0 11 5 6", "NO"},
{"0 11 5 7", "NO"},
{"0 11 5 8", "NO"},
{"0 11 5 9", "NO"},
{"0 11 5 10", "NO"},
{"0 11 5 11", "NO"},
{"0 11 6 6", "NO"},
{"0 11 6 7", "NO"},
{"0 11 6 8", "NO"},
{"0 11 6 9", "NO"},
{"0 11 6 10", "NO"},
{"0 11 6 11", "NO"},
{"0 11 7 7", "NO"},
{"0 11 7 8", "NO"},
{"0 11 7 9", "NO"},
{"0 11 7 10", "NO"},
{"0 11 7 11", "NO"},
{"0 11 8 8", "NO"},
{"0 11 8 9", "NO"},
{"0 11 8 10", "NO"},
{"0 11 8 11", "NO"},
{"0 11 9 9", "NO"},
{"0 11 9 10", "NO"},
{"0 11 9 11", "NO"},
{"0 11 10 10", "YES"},
{"0 11 10 11", "NO"},
{"0 11 11 11", "NO"},
{"1 1 1 1", "YES"},
{"1 1 1 2", "NO"},
{"1 1 1 3", "NO"},
{"1 1 1 4", "NO"},
{"1 1 1 5", "NO"},
{"1 1 1 6", "NO"},
{"1 1 1 7", "NO"},
{"1 1 1 8", "NO"},
{"1 1 1 9", "NO"},
{"1 1 1 10", "NO"},
{"1 1 1 11", "NO"},
{"1 1 2 2", "YES"},
{"1 1 2 3", "NO"},
{"1 1 2 4", "NO"},
{"1 1 2 5", "NO"},
{"1 1 2 6", "NO"},
{"1 1 2 7", "NO"},
{"1 1 2 8", "NO"},
{"1 1 2 9", "NO"},
{"1 1 2 10", "NO"},
{"1 1 2 11", "NO"},
{"1 1 3 3", "YES"},
{"1 1 3 4", "NO"},
{"1 1 3 5", "NO"},
{"1 1 3 6", "NO"},
{"1 1 3 7", "NO"},
{"1 1 3 8", "NO"},
{"1 1 3 9", "NO"},
{"1 1 3 10", "NO"},
{"1 1 3 11", "NO"},
{"1 1 4 4", "YES"},
{"1 1 4 5", "NO"},
{"1 1 4 6", "NO"},
{"1 1 4 7", "NO"},
{"1 1 4 8", "NO"},
{"1 1 4 9", "NO"},
{"1 1 4 10", "NO"},
{"1 1 4 11", "NO"},
{"1 1 5 5", "NO"},
{"1 1 5 6", "NO"},
{"1 1 5 7", "NO"},
{"1 1 5 8", "NO"},
{"1 1 5 9", "NO"},
{"1 1 5 10", "NO"},
{"1 1 5 11", "NO"},
{"1 1 6 6", "NO"},
{"1 1 6 7", "NO"},
{"1 1 6 8", "NO"},
{"1 1 6 9", "NO"},
{"1 1 6 10", "NO"},
{"1 1 6 11", "NO"},
{"1 1 7 7", "NO"},
{"1 1 7 8", "NO"},
{"1 1 7 9", "NO"},
{"1 1 7 10", "NO"},
{"1 1 7 11", "NO"},
{"1 1 8 8", "NO"},
{"1 1 8 9", "NO"},
{"1 1 8 10", "NO"},
{"1 1 8 11", "NO"},
{"1 1 9 9", "NO"},
{"1 1 9 10", "NO"},
{"1 1 9 11", "NO"},
{"1 1 10 10", "YES"},
{"1 1 10 11", "NO"},
{"1 1 11 11", "NO"},
{"1 2 1 2", "YES"},
{"1 2 1 3", "NO"},
{"1 2 1 4", "NO"},
{"1 2 1 5", "NO"},
{"1 2 1 6", "NO"},
{"1 2 1 7", "NO"},
{"1 2 1 8", "NO"},
{"1 2 1 9", "NO"},
{"1 2 1 10", "NO"},
{"1 2 1 11", "NO"},
{"1 2 2 2", "NO"},
{"1 2 2 3", "NO"},
{"1 2 2 4", "NO"},
{"1 2 2 5", "NO"},
{"1 2 2 6", "YES"},
{"1 2 2 7", "NO"},
{"1 2 2 8", "NO"},
{"1 2 2 9", "NO"},
{"1 2 2 10", "NO"},
{"1 2 2 11", "YES"},
{"1 2 3 3", "NO"},
{"1 2 3 4", "YES"},
{"1 2 3 5", "NO"},
{"1 2 3 6", "NO"},
{"1 2 3 7", "YES"},
{"1 2 3 8", "YES"},
{"1 2 3 9", "NO"},
{"1 2 3 10", "NO"},
{"1 2 3 11", "NO"},
{"1 2 4 4", "YES"},
{"1 2 4 5", "YES"},
{"1 2 4 6", "NO"},
{"1 2 4 7", "YES"},
{"1 2 4 8", "NO"},
{"1 2 4 9", "NO"},
{"1 2 4 10", "YES"},
{"1 2 4 11", "NO"},
{"1 2 5 5", "NO"},
{"1 2 5 6", "NO"},
{"1 2 5 7", "NO"},
{"1 2 5 8", "NO"},
{"1 2 5 9", "NO"},
{"1 2 5 10", "YES"},
{"1 2 5 11", "NO"},
{"1 2 6 6", "NO"},
{"1 2 6 7", "NO"},
{"1 2 6 8", "NO"},
{"1 2 6 9", "NO"},
{"1 2 6 10", "NO"},
{"1 2 6 11", "NO"},
{"1 2 7 7", "NO"},
{"1 2 7 8", "NO"},
{"1 2 7 9", "NO"},
{"1 2 7 10", "NO"},
{"1 2 7 11", "NO"},
{"1 2 8 8", "NO"},
{"1 2 8 9", "NO"},
{"1 2 8 10", "NO"},
{"1 2 8 11", "NO"},
{"1 2 9 9", "NO"},
{"1 2 9 10", "NO"},
{"1 2 9 11", "NO"},
{"1 2 10 10", "NO"},
{"1 2 10 11", "NO"},
{"1 2 11 11", "NO"},
{"1 3 1 3", "YES"},
{"1 3 1 4", "NO"},
{"1 3 1 5", "NO"},
{"1 3 1 6", "NO"},
{"1 3 1 7", "NO"},
{"1 3 1 8", "NO"},
{"1 3 1 9", "NO"},
{"1 3 1 10", "NO"},
{"1 3 1 11", "NO"},
{"1 3 2 2", "NO"},
{"1 3 2 3", "NO"},
{"1 3 2 4", "YES"},
{"1 3 2 5", "NO"},
{"1 3 2 6", "NO"},
{"1 3 2 7", "YES"},
{"1 3 2 8", "YES"},
{"1 3 2 9", "NO"},
{"1 3 2 10", "NO"},
{"1 3 2 11", "NO"},
{"1 3 3 3", "NO"},
{"1 3 3 4", "NO"},
{"1 3 3 5", "NO"},
{"1 3 3 6", "NO"},
{"1 3 3 7", "NO"},
{"1 3 3 8", "NO"},
{"1 3 3 9", "NO"},
{"1 3 3 10", "NO"},
{"1 3 3 11", "YES"},
{"1 3 4 4", "NO"},
{"1 3 4 5", "NO"},
{"1 3 4 6", "YES"},
{"1 3 4 7", "NO"},
{"1 3 4 8", "NO"},
{"1 3 4 9", "NO"},
{"1 3 4 10", "NO"},
{"1 3 4 11", "NO"},
{"1 3 5 5", "NO"},
{"1 3 5 6", "NO"},
{"1 3 5 7", "NO"},
{"1 3 5 8", "NO"},
{"1 3 5 9", "NO"},
{"1 3 5 10", "NO"},
{"1 3 5 11", "NO"},
{"1 3 6 6", "NO"},
{"1 3 6 7", "NO"},
{"1 3 6 8", "NO"},
{"1 3 6 9", "NO"},
{"1 3 6 10", "NO"},
{"1 3 6 11", "NO"},
{"1 3 7 7", "NO"},
{"1 3 7 8", "NO"},
{"1 3 7 9", "NO"},
{"1 3 7 10", "NO"},
{"1 3 7 11", "NO"},
{"1 3 8 8", "NO"},
{"1 3 8 9", "NO"},
{"1 3 8 10", "NO"},
{"1 3 8 11", "NO"},
{"1 3 9 9", "NO"},
{"1 3 9 10", "NO"},
{"1 3 9 11", "NO"},
{"1 3 10 10", "NO"},
{"1 3 10 11", "NO"},
{"1 3 11 11", "NO"},
{"1 4 1 4", "YES"},
{"1 4 1 5", "NO"},
{"1 4 1 6", "NO"},
{"1 4 1 7", "NO"},
{"1 4 1 8", "NO"},
{"1 4 1 9", "NO"},
{"1 4 1 10", "NO"},
{"1 4 1 11", "NO"},
{"1 4 2 2", "NO"},
{"1 4 2 3", "YES"},
{"1 4 2 4", "YES"},
{"1 4 2 5", "YES"},
{"1 4 2 6", "NO"},
{"1 4 2 7", "YES"},
{"1 4 2 8", "NO"},
{"1 4 2 9", "NO"},
{"1 4 2 10", "YES"},
{"1 4 2 11", "NO"},
{"1 4 3 3", "NO"},
{"1 4 3 4", "NO"},
{"1 4 3 5", "NO"},
{"1 4 3 6", "YES"},
{"1 4 3 7", "NO"},
{"1 4 3 8", "NO"},
{"1 4 3 9", "NO"},
{"1 4 3 10", "NO"},
{"1 4 3 11", "NO"},
{"1 4 4 4", "NO"},
{"1 4 4 5", "NO"},
{"1 4 4 6", "NO"},
{"1 4 4 7", "YES"},
{"1 4 4 8", "NO"},
{"1 4 4 9", "NO"},
{"1 4 4 10", "YES"},
{"1 4 4 11", "YES"},
{"1 4 5 5", "NO"},
{"1 4 5 6", "NO"},
{"1 4 5 7", "NO"},
{"1 4 5 8", "YES"},
{"1 4 5 9", "NO"},
{"1 4 5 10", "NO"},
{"1 4 5 11", "NO"},
{"1 4 6 6", "NO"},
{"1 4 6 7", "YES"},
{"1 4 6 8", "NO"},
{"1 4 6 9", "NO"},
{"1 4 6 10", "NO"},
{"1 4 6 11", "NO"},
{"1 4 7 7", "NO"},
{"1 4 7 8", "NO"},
{"1 4 7 9", "NO"},
{"1 4 7 10", "NO"},
{"1 4 7 11", "NO"},
{"1 4 8 8", "NO"},
{"1 4 8 9", "NO"},
{"1 4 8 10", "YES"},
{"1 4 8 11", "NO"},
{"1 4 9 9", "NO"},
{"1 4 9 10", "NO"},
{"1 4 9 11", "NO"},
{"1 4 10 10", "NO"},
{"1 4 10 11", "NO"},
{"1 4 11 11", "NO"},
{"1 5 1 5", "YES"},
{"1 5 1 6", "NO"},
{"1 5 1 7", "NO"},
{"1 5 1 8", "NO"},
{"1 5 1 9", "NO"},
{"1 5 1 10", "NO"},
{"1 5 1 11", "NO"},
{"1 5 2 2", "NO"},
{"1 5 2 3", "NO"},
{"1 5 2 4", "YES"},
{"1 5 2 5", "NO"},
{"1 5 2 6", "NO"},
{"1 5 2 7", "NO"},
{"1 5 2 8", "NO"},
{"1 5 2 9", "NO"},
{"1 5 2 10", "YES"},
{"1 5 2 11", "NO"},
{"1 5 3 3", "NO"},
{"1 5 3 4", "NO"},
{"1 5 3 5", "NO"},
{"1 5 3 6", "NO"},
{"1 5 3 7", "NO"},
{"1 5 3 8", "NO"},
{"1 5 3 9", "NO"},
{"1 5 3 10", "YES"},
{"1 5 3 11", "NO"},
{"1 5 4 4", "NO"},
{"1 5 4 5", "NO"},
{"1 5 4 6", "NO"},
{"1 5 4 7", "NO"},
{"1 5 4 8", "NO"},
{"1 5 4 9", "NO"},
{"1 5 4 10", "NO"},
{"1 5 4 11", "NO"},
{"1 5 5 5", "NO"},
{"1 5 5 6", "NO"},
{"1 5 5 7", "NO"},
{"1 5 5 8", "NO"},
{"1 5 5 9", "NO"},
{"1 5 5 10", "NO"},
{"1 5 5 11", "NO"},
{"1 5 6 6", "NO"},
{"1 5 6 7", "NO"},
{"1 5 6 8", "NO"},
{"1 5 6 9", "NO"},
{"1 5 6 10", "NO"},
{"1 5 6 11", "NO"},
{"1 5 7 7", "NO"},
{"1 5 7 8", "NO"},
{"1 5 7 9", "NO"},
{"1 5 7 10", "NO"},
{"1 5 7 11", "NO"},
{"1 5 8 8", "NO"},
{"1 5 8 9", "NO"},
{"1 5 8 10", "NO"},
{"1 5 8 11", "NO"},
{"1 5 9 9", "NO"},
{"1 5 9 10", "NO"},
{"1 5 9 11", "NO"},
{"1 5 10 10", "NO"},
{"1 5 10 11", "NO"},
{"1 5 11 11", "NO"},
{"1 6 1 6", "YES"},
{"1 6 1 7", "NO"},
{"1 6 1 8", "NO"},
{"1 6 1 9", "NO"},
{"1 6 1 10", "NO"},
{"1 6 1 11", "NO"},
{"1 6 2 2", "YES"},
{"1 6 2 3", "NO"},
{"1 6 2 4", "NO"},
{"1 6 2 5", "NO"},
{"1 6 2 6", "NO"},
{"1 6 2 7", "NO"},
{"1 6 2 8", "NO"},
{"1 6 2 9", "NO"},
{"1 6 2 10", "NO"},
{"1 6 2 11", "NO"},
{"1 6 3 3", "NO"},
{"1 6 3 4", "NO"},
{"1 6 3 5", "NO"},
{"1 6 3 6", "NO"},
{"1 6 3 7", "NO"},
{"1 6 3 8", "NO"},
{"1 6 3 9", "NO"},
{"1 6 3 10", "NO"},
{"1 6 3 11", "NO"},
{"1 6 4 4", "NO"},
{"1 6 4 5", "NO"},
{"1 6 4 6", "NO"},
{"1 6 4 7", "YES"},
{"1 6 4 8", "NO"},
{"1 6 4 9", "NO"},
{"1 6 4 10", "NO"},
{"1 6 4 11", "NO"},
{"1 6 5 5", "NO"},
{"1 6 5 6", "NO"},
{"1 6 5 7", "NO"},
{"1 6 5 8", "NO"},
{"1 6 5 9", "NO"},
{"1 6 5 10", "NO"},
{"1 6 5 11", "YES"},
{"1 6 6 6", "NO"},
{"1 6 6 7", "YES"},
{"1 6 6 8", "NO"},
{"1 6 6 9", "NO"},
{"1 6 6 10", "NO"},
{"1 6 6 11", "NO"},
{"1 6 7 7", "NO"},
{"1 6 7 8", "NO"},
{"1 6 7 9", "NO"},
{"1 6 7 10", "YES"},
{"1 6 7 11", "NO"},
{"1 6 8 8", "NO"},
{"1 6 8 9", "NO"},
{"1 6 8 10", "NO"},
{"1 6 8 11", "NO"},
{"1 6 9 9", "NO"},
{"1 6 9 10", "NO"},
{"1 6 9 11", "NO"},
{"1 6 10 10", "NO"},
{"1 6 10 11", "NO"},
{"1 6 11 11", "NO"},
{"1 7 1 7", "YES"},
{"1 7 1 8", "NO"},
{"1 7 1 9", "NO"},
{"1 7 1 10", "NO"},
{"1 7 1 11", "NO"},
{"1 7 2 2", "NO"},
{"1 7 2 3", "YES"},
{"1 7 2 4", "YES"},
{"1 7 2 5", "NO"},
{"1 7 2 6", "NO"},
{"1 7 2 7", "NO"},
{"1 7 2 8", "NO"},
{"1 7 2 9", "NO"},
{"1 7 2 10", "NO"},
{"1 7 2 11", "NO"},
{"1 7 3 3", "NO"},
{"1 7 3 4", "NO"},
{"1 7 3 5", "NO"},
{"1 7 3 6", "NO"},
{"1 7 3 7", "NO"},
{"1 7 3 8", "NO"},
{"1 7 3 9", "NO"},
{"1 7 3 10", "NO"},
{"1 7 3 11", "NO"},
{"1 7 4 4", "NO"},
{"1 7 4 5", "NO"},
{"1 7 4 6", "NO"},
{"1 7 4 7", "NO"},
{"1 7 4 8", "NO"},
{"1 7 4 9", "NO"},
{"1 7 4 10", "NO"},
{"1 7 4 11", "NO"},
{"1 7 5 5", "NO"},
{"1 7 5 6", "NO"},
{"1 7 5 7", "NO"},
{"1 7 5 8", "NO"},
{"1 7 5 9", "NO"},
{"1 7 5 10", "NO"},
{"1 7 5 11", "NO"},
{"1 7 6 6", "NO"},
{"1 7 6 7", "NO"},
{"1 7 6 8", "NO"},
{"1 7 6 9", "NO"},
{"1 7 6 10", "NO"},
{"1 7 6 11", "NO"},
{"1 7 7 7", "NO"},
{"1 7 7 8", "NO"},
{"1 7 7 9", "NO"},
{"1 7 7 10", "NO"},
{"1 7 7 11", "NO"},
{"1 7 8 8", "NO"},
{"1 7 8 9", "NO"},
{"1 7 8 10", "NO"},
{"1 7 8 11", "NO"},
{"1 7 9 9", "NO"},
{"1 7 9 10", "NO"},
{"1 7 9 11", "NO"},
{"1 7 10 10", "YES"},
{"1 7 10 11", "NO"},
{"1 7 11 11", "NO"},
{"1 8 1 8", "YES"},
{"1 8 1 9", "NO"},
{"1 8 1 10", "NO"},
{"1 8 1 11", "NO"},
{"1 8 2 2", "NO"},
{"1 8 2 3", "YES"},
{"1 8 2 4", "NO"},
{"1 8 2 5", "NO"},
{"1 8 2 6", "NO"},
{"1 8 2 7", "NO"},
{"1 8 2 8", "NO"},
{"1 8 2 9", "NO"},
{"1 8 2 10", "NO"},
{"1 8 2 11", "NO"},
{"1 8 3 3", "NO"},
{"1 8 3 4", "NO"},
{"1 8 3 5", "NO"},
{"1 8 3 6", "NO"},
{"1 8 3 7", "NO"},
{"1 8 3 8", "NO"},
{"1 8 3 9", "NO"},
{"1 8 3 10", "NO"},
{"1 8 3 11", "NO"},
{"1 8 4 4", "NO"},
{"1 8 4 5", "NO"},
{"1 8 4 6", "NO"},
{"1 8 4 7", "NO"},
{"1 8 4 8", "NO"},
{"1 8 4 9", "NO"},
{"1 8 4 10", "NO"},
{"1 8 4 11", "NO"},
{"1 8 5 5", "NO"},
{"1 8 5 6", "NO"},
{"1 8 5 7", "NO"},
{"1 8 5 8", "NO"},
{"1 8 5 9", "NO"},
{"1 8 5 10", "NO"},
{"1 8 5 11", "NO"},
{"1 8 6 6", "NO"},
{"1 8 6 7", "NO"},
{"1 8 6 8", "NO"},
{"1 8 6 9", "NO"},
{"1 8 6 10", "NO"},
{"1 8 6 11", "NO"},
{"1 8 7 7", "NO"},
{"1 8 7 8", "NO"},
{"1 8 7 9", "NO"},
{"1 8 7 10", "NO"},
{"1 8 7 11", "NO"},
{"1 8 8 8", "NO"},
{"1 8 8 9", "NO"},
{"1 8 8 10", "NO"},
{"1 8 8 11", "NO"},
{"1 8 9 9", "NO"},
{"1 8 9 10", "NO"},
{"1 8 9 11", "NO"},
{"1 8 10 10", "NO"},
{"1 8 10 11", "NO"},
{"1 8 11 11", "NO"},
{"1 9 1 9", "YES"},
{"1 9 1 10", "NO"},
{"1 9 1 11", "NO"},
{"1 9 2 2", "NO"},
{"1 9 2 3", "NO"},
{"1 9 2 4", "NO"},
{"1 9 2 5", "NO"},
{"1 9 2 6", "NO"},
{"1 9 2 7", "NO"},
{"1 9 2 8", "NO"},
{"1 9 2 9", "NO"},
{"1 9 2 10", "NO"},
{"1 9 2 11", "NO"},
{"1 9 3 3", "NO"},
{"1 9 3 4", "NO"},
{"1 9 3 5", "NO"},
{"1 9 3 6", "NO"},
{"1 9 3 7", "NO"},
{"1 9 3 8", "NO"},
{"1 9 3 9", "NO"},
{"1 9 3 10", "NO"},
{"1 9 3 11", "NO"},
{"1 9 4 4", "NO"},
{"1 9 4 5", "NO"},
{"1 9 4 6", "NO"},
{"1 9 4 7", "NO"},
{"1 9 4 8", "NO"},
{"1 9 4 9", "NO"},
{"1 9 4 10", "NO"},
{"1 9 4 11", "NO"},
{"1 9 5 5", "NO"},
{"1 9 5 6", "NO"},
{"1 9 5 7", "NO"},
{"1 9 5 8", "NO"},
{"1 9 5 9", "NO"},
{"1 9 5 10", "NO"},
{"1 9 5 11", "NO"},
{"1 9 6 6", "NO"},
{"1 9 6 7", "NO"},
{"1 9 6 8", "NO"},
{"1 9 6 9", "NO"},
{"1 9 6 10", "NO"},
{"1 9 6 11", "NO"},
{"1 9 7 7", "NO"},
{"1 9 7 8", "NO"},
{"1 9 7 9", "NO"},
{"1 9 7 10", "NO"},
{"1 9 7 11", "NO"},
{"1 9 8 8", "NO"},
{"1 9 8 9", "NO"},
{"1 9 8 10", "NO"},
{"1 9 8 11", "NO"},
{"1 9 9 9", "NO"},
{"1 9 9 10", "NO"},
{"1 9 9 11", "NO"},
{"1 9 10 10", "NO"},
{"1 9 10 11", "NO"},
{"1 9 11 11", "NO"},
{"1 10 1 10", "YES"},
{"1 10 1 11", "NO"},
{"1 10 2 2", "NO"},
{"1 10 2 3", "NO"},
{"1 10 2 4", "YES"},
{"1 10 2 5", "YES"},
{"1 10 2 6", "NO"},
{"1 10 2 7", "NO"},
{"1 10 2 8", "NO"},
{"1 10 2 9", "NO"},
{"1 10 2 10", "NO"},
{"1 10 2 11", "NO"},
{"1 10 3 3", "NO"},
{"1 10 3 4", "NO"},
{"1 10 3 5", "NO"},
{"1 10 3 6", "NO"},
{"1 10 3 7", "NO"},
{"1 10 3 8", "NO"},
{"1 10 3 9", "NO"},
{"1 10 3 10", "NO"},
{"1 10 3 11", "NO"},
{"1 10 4 4", "YES"},
{"1 10 4 5", "NO"},
{"1 10 4 6", "NO"},
{"1 10 4 7", "NO"},
{"1 10 4 8", "YES"},
{"1 10 4 9", "NO"},
{"1 10 4 10", "NO"},
{"1 10 4 11", "NO"},
{"1 10 5 5", "NO"},
{"1 10 5 6", "NO"},
{"1 10 5 7", "NO"},
{"1 10 5 8", "NO"},
{"1 10 5 9", "NO"},
{"1 10 5 10", "NO"},
{"1 10 5 11", "NO"},
{"1 10 6 6", "NO"},
{"1 10 6 7", "NO"},
{"1 10 6 8", "NO"},
{"1 10 6 9", "NO"},
{"1 10 6 10", "NO"},
{"1 10 6 11", "NO"},
{"1 10 7 7", "NO"},
{"1 10 7 8", "NO"},
{"1 10 7 9", "NO"},
{"1 10 7 10", "NO"},
{"1 10 7 11", "NO"},
{"1 10 8 8", "NO"},
{"1 10 8 9", "NO"},
{"1 10 8 10", "NO"},
{"1 10 8 11", "NO"},
{"1 10 9 9", "NO"},
{"1 10 9 10", "YES"},
{"1 10 9 11", "NO"},
{"1 10 10 10", "NO"},
{"1 10 10 11", "YES"},
{"1 10 11 11", "NO"},
{"1 11 1 11", "YES"},
{"1 11 2 2", "YES"},
{"1 11 2 3", "NO"},
{"1 11 2 4", "NO"},
{"1 11 2 5", "NO"},
{"1 11 2 6", "NO"},
{"1 11 2 7", "NO"},
{"1 11 2 8", "NO"},
{"1 11 2 9", "NO"},
{"1 11 2 10", "NO"},
{"1 11 2 11", "NO"},
{"1 11 3 3", "NO"},
{"1 11 3 4", "NO"},
{"1 11 3 5", "NO"},
{"1 11 3 6", "NO"},
{"1 11 3 7", "NO"},
{"1 11 3 8", "NO"},
{"1 11 3 9", "NO"},
{"1 11 3 10", "NO"},
{"1 11 3 11", "NO"},
{"1 11 4 4", "NO"},
{"1 11 4 5", "NO"},
{"1 11 4 6", "NO"},
{"1 11 4 7", "NO"},
{"1 11 4 8", "NO"},
{"1 11 4 9", "NO"},
{"1 11 4 10", "NO"},
{"1 11 4 11", "NO"},
{"1 11 5 5", "NO"},
{"1 11 5 6", "NO"},
{"1 11 5 7", "NO"},
{"1 11 5 8", "NO"},
{"1 11 5 9", "NO"},
{"1 11 5 10", "NO"},
{"1 11 5 11", "NO"},
{"1 11 6 6", "NO"},
{"1 11 6 7", "NO"},
{"1 11 6 8", "NO"},
{"1 11 6 9", "NO"},
{"1 11 6 10", "NO"},
{"1 11 6 11", "NO"},
{"1 11 7 7", "NO"},
{"1 11 7 8", "NO"},
{"1 11 7 9", "NO"},
{"1 11 7 10", "NO"},
{"1 11 7 11", "NO"},
{"1 11 8 8", "NO"},
{"1 11 8 9", "NO"},
{"1 11 8 10", "NO"},
{"1 11 8 11", "NO"},
{"1 11 9 9", "NO"},
{"1 11 9 10", "NO"},
{"1 11 9 11", "NO"},
{"1 11 10 10", "NO"},
{"1 11 10 11", "NO"},
{"1 11 11 11", "NO"},
{"2 2 2 2", "YES"},
{"2 2 2 3", "NO"},
{"2 2 2 4", "NO"},
{"2 2 2 5", "NO"},
{"2 2 2 6", "NO"},
{"2 2 2 7", "NO"},
{"2 2 2 8", "NO"},
{"2 2 2 9", "NO"},
{"2 2 2 10", "YES"},
{"2 2 2 11", "NO"},
{"2 2 3 3", "NO"},
{"2 2 3 4", "YES"},
{"2 2 3 5", "NO"},
{"2 2 3 6", "NO"},
{"2 2 3 7", "NO"},
{"2 2 3 8", "NO"},
{"2 2 3 9", "NO"},
{"2 2 3 10", "NO"},
{"2 2 3 11", "NO"},
{"2 2 4 4", "YES"},
{"2 2 4 5", "NO"},
{"2 2 4 6", "NO"},
{"2 2 4 7", "NO"},
{"2 2 4 8", "YES"},
{"2 2 4 9", "NO"},
{"2 2 4 10", "YES"},
{"2 2 4 11", "NO"},
{"2 2 5 5", "YES"},
{"2 2 5 6", "NO"},
{"2 2 5 7", "NO"},
{"2 2 5 8", "NO"},
{"2 2 5 9", "NO"},
{"2 2 5 10", "NO"},
{"2 2 5 11", "NO"},
{"2 2 6 6", "YES"},
{"2 2 6 7", "NO"},
{"2 2 6 8", "NO"},
{"2 2 6 9", "NO"},
{"2 2 6 10", "NO"},
{"2 2 6 11", "YES"},
{"2 2 7 7", "YES"},
{"2 2 7 8", "NO"},
{"2 2 7 9", "NO"},
{"2 2 7 10", "NO"},
{"2 2 7 11", "NO"},
{"2 2 8 8", "YES"},
{"2 2 8 9", "NO"},
{"2 2 8 10", "NO"},
{"2 2 8 11", "NO"},
{"2 2 9 9", "NO"},
{"2 2 9 10", "NO"},
{"2 2 9 11", "NO"},
{"2 2 10 10", "YES"},
{"2 2 10 11", "NO"},
{"2 2 11 11", "YES"},
{"2 3 2 3", "YES"},
{"2 3 2 4", "YES"},
{"2 3 2 5", "NO"},
{"2 3 2 6", "YES"},
{"2 3 2 7", "NO"},
{"2 3 2 8", "NO"},
{"2 3 2 9", "NO"},
{"2 3 2 10", "NO"},
{"2 3 2 11", "NO"},
{"2 3 3 3", "NO"},
{"2 3 3 4", "NO"},
{"2 3 3 5", "NO"},
{"2 3 3 6", "NO"},
{"2 3 3 7", "NO"},
{"2 3 3 8", "NO"},
{"2 3 3 9", "NO"},
{"2 3 3 10", "NO"},
{"2 3 3 11", "NO"},
{"2 3 4 4", "YES"},
{"2 3 4 5", "YES"},
{"2 3 4 6", "YES"},
{"2 3 4 7", "YES"},
{"2 3 4 8", "NO"},
{"2 3 4 9", "NO"},
{"2 3 4 10", "YES"},
{"2 3 4 11", "YES"},
{"2 3 5 5", "NO"},
{"2 3 5 6", "NO"},
{"2 3 5 7", "NO"},
{"2 3 5 8", "NO"},
{"2 3 5 9", "NO"},
{"2 3 5 10", "NO"},
{"2 3 5 11", "NO"},
{"2 3 6 6", "NO"},
{"2 3 6 7", "YES"},
{"2 3 6 8", "YES"},
{"2 3 6 9", "NO"},
{"2 3 6 10", "NO"},
{"2 3 6 11", "NO"},
{"2 3 7 7", "NO"},
{"2 3 7 8", "YES"},
{"2 3 7 9", "NO"},
{"2 3 7 10", "NO"},
{"2 3 7 11", "YES"},
{"2 3 8 8", "NO"},
{"2 3 8 9", "NO"},
{"2 3 8 10", "NO"},
{"2 3 8 11", "YES"},
{"2 3 9 9", "NO"},
{"2 3 9 10", "NO"},
{"2 3 9 11", "NO"},
{"2 3 10 10", "YES"},
{"2 3 10 11", "NO"},
{"2 3 11 11", "NO"},
{"2 4 2 4", "YES"},
{"2 4 2 5", "NO"},
{"2 4 2 6", "NO"},
{"2 4 2 7", "YES"},
{"2 4 2 8", "NO"},
{"2 4 2 9", "NO"},
{"2 4 2 10", "NO"},
{"2 4 2 11", "NO"},
{"2 4 3 3", "NO"},
{"2 4 3 4", "YES"},
{"2 4 3 5", "YES"},
{"2 4 3 6", "YES"},
{"2 4 3 7", "NO"},
{"2 4 3 8", "NO"},
{"2 4 3 9", "NO"},
{"2 4 3 10", "YES"},
{"2 4 3 11", "YES"},
{"2 4 4 4", "YES"},
{"2 4 4 5", "YES"},
{"2 4 4 6", "YES"},
{"2 4 4 7", "YES"},
{"2 4 4 8", "YES"},
{"2 4 4 9", "NO"},
{"2 4 4 10", "YES"},
{"2 4 4 11", "YES"},
{"2 4 5 5", "NO"},
{"2 4 5 6", "YES"},
{"2 4 5 7", "NO"},
{"2 4 5 8", "NO"},
{"2 4 5 9", "NO"},
{"2 4 5 10", "NO"},
{"2 4 5 11", "YES"},
{"2 4 6 6", "NO"},
{"2 4 6 7", "YES"},
{"2 4 6 8", "YES"},
{"2 4 6 9", "NO"},
{"2 4 6 10", "YES"},
{"2 4 6 11", "NO"},
{"2 4 7 7", "NO"},
{"2 4 7 8", "NO"},
{"2 4 7 9", "NO"},
{"2 4 7 10", "YES"},
{"2 4 7 11", "YES"},
{"2 4 8 8", "NO"},
{"2 4 8 9", "NO"},
{"2 4 8 10", "YES"},
{"2 4 8 11", "NO"},
{"2 4 9 9", "NO"},
{"2 4 9 10", "NO"},
{"2 4 9 11", "NO"},
{"2 4 10 10", "NO"},
{"2 4 10 11", "YES"},
{"2 4 11 11", "NO"},
{"2 5 2 5", "YES"},
{"2 5 2 6", "YES"},
{"2 5 2 7", "YES"},
{"2 5 2 8", "NO"},
{"2 5 2 9", "NO"},
{"2 5 2 10", "NO"},
{"2 5 2 11", "YES"},
{"2 5 3 3", "YES"},
{"2 5 3 4", "YES"},
{"2 5 3 5", "NO"},
{"2 5 3 6", "NO"},
{"2 5 3 7", "NO"},
{"2 5 3 8", "NO"},
{"2 5 3 9", "NO"},
{"2 5 3 10", "NO"},
{"2 5 3 11", "NO"},
{"2 5 4 4", "NO"},
{"2 5 4 5", "NO"},
{"2 5 4 6", "YES"},
{"2 5 4 7", "NO"},
{"2 5 4 8", "NO"},
{"2 5 4 9", "NO"},
{"2 5 4 10", "NO"},
{"2 5 4 11", "YES"},
{"2 5 5 5", "NO"},
{"2 5 5 6", "NO"},
{"2 5 5 7", "NO"},
{"2 5 5 8", "NO"},
{"2 5 5 9", "NO"},
{"2 5 5 10", "NO"},
{"2 5 5 11", "NO"},
{"2 5 6 6", "NO"},
{"2 5 6 7", "NO"},
{"2 5 6 8", "NO"},
{"2 5 6 9", "NO"},
{"2 5 6 10", "YES"},
{"2 5 6 11", "NO"},
{"2 5 7 7", "NO"},
{"2 5 7 8", "NO"},
{"2 5 7 9", "NO"},
{"2 5 7 10", "NO"},
{"2 5 7 11", "NO"},
{"2 5 8 8", "NO"},
{"2 5 8 9", "NO"},
{"2 5 8 10", "NO"},
{"2 5 8 11", "NO"},
{"2 5 9 9", "NO"},
{"2 5 9 10", "NO"},
{"2 5 9 11", "NO"},
{"2 5 10 10", "NO"},
{"2 5 10 11", "YES"},
{"2 5 11 11", "NO"},
{"2 6 2 6", "YES"},
{"2 6 2 7", "NO"},
{"2 6 2 8", "NO"},
{"2 6 2 9", "NO"},
{"2 6 2 10", "NO"},
{"2 6 2 11", "YES"},
{"2 6 3 3", "NO"},
{"2 6 3 4", "YES"},
{"2 6 3 5", "NO"},
{"2 6 3 6", "YES"},
{"2 6 3 7", "YES"},
{"2 6 3 8", "NO"},
{"2 6 3 9", "NO"},
{"2 6 3 10", "NO"},
{"2 6 3 11", "NO"},
{"2 6 4 4", "YES"},
{"2 6 4 5", "NO"},
{"2 6 4 6", "YES"},
{"2 6 4 7", "YES"},
{"2 6 4 8", "NO"},
{"2 6 4 9", "NO"},
{"2 6 4 10", "YES"},
{"2 6 4 11", "NO"},
{"2 6 5 5", "NO"},
{"2 6 5 6", "NO"},
{"2 6 5 7", "NO"},
{"2 6 5 8", "NO"},
{"2 6 5 9", "NO"},
{"2 6 5 10", "YES"},
{"2 6 5 11", "NO"},
{"2 6 6 6", "NO"},
{"2 6 6 7", "NO"},
{"2 6 6 8", "NO"},
{"2 6 6 9", "NO"},
{"2 6 6 10", "NO"},
{"2 6 6 11", "NO"},
{"2 6 7 7", "NO"},
{"2 6 7 8", "YES"},
{"2 6 7 9", "NO"},
{"2 6 7 10", "NO"},
{"2 6 7 11", "NO"},
{"2 6 8 8", "NO"},
{"2 6 8 9", "NO"},
{"2 6 8 10", "NO"},
{"2 6 8 11", "NO"},
{"2 6 9 9", "NO"},
{"2 6 9 10", "NO"},
{"2 6 9 11", "NO"},
{"2 6 10 10", "NO"},
{"2 6 10 11", "YES"},
{"2 6 11 11", "NO"},
{"2 7 2 7", "YES"},
{"2 7 2 8", "YES"},
{"2 7 2 9", "NO"},
{"2 7 2 10", "NO"},
{"2 7 2 11", "NO"},
{"2 7 3 3", "NO"},
{"2 7 3 4", "YES"},
{"2 7 3 5", "NO"},
{"2 7 3 6", "YES"},
{"2 7 3 7", "NO"},
{"2 7 3 8", "NO"},
{"2 7 3 9", "NO"},
{"2 7 3 10", "NO"},
{"2 7 3 11", "YES"},
{"2 7 4 4", "NO"},
{"2 7 4 5", "NO"},
{"2 7 4 6", "YES"},
{"2 7 4 7", "NO"},
{"2 7 4 8", "NO"},
{"2 7 4 9", "NO"},
{"2 7 4 10", "YES"},
{"2 7 4 11", "YES"},
{"2 7 5 5", "NO"},
{"2 7 5 6", "NO"},
{"2 7 5 7", "NO"},
{"2 7 5 8", "NO"},
{"2 7 5 9", "NO"},
{"2 7 5 10", "NO"},
{"2 7 5 11", "NO"},
{"2 7 6 6", "NO"},
{"2 7 6 7", "NO"},
{"2 7 6 8", "NO"},
{"2 7 6 9", "NO"},
{"2 7 6 10", "YES"},
{"2 7 6 11", "NO"},
{"2 7 7 7", "NO"},
{"2 7 7 8", "NO"},
{"2 7 7 9", "NO"},
{"2 7 7 10", "NO"},
{"2 7 7 11", "NO"},
{"2 7 8 8", "NO"},
{"2 7 8 9", "NO"},
{"2 7 8 10", "NO"},
{"2 7 8 11", "NO"},
{"2 7 9 9", "NO"},
{"2 7 9 10", "NO"},
{"2 7 9 11", "NO"},
{"2 7 10 10", "NO"},
{"2 7 10 11", "NO"},
{"2 7 11 11", "NO"},
{"2 8 2 8", "YES"},
{"2 8 2 9", "NO"},
{"2 8 2 10", "NO"},
{"2 8 2 11", "NO"},
{"2 8 3 3", "NO"},
{"2 8 3 4", "NO"},
{"2 8 3 5", "NO"},
{"2 8 3 6", "YES"},
{"2 8 3 7", "NO"},
{"2 8 3 8", "NO"},
{"2 8 3 9", "NO"},
{"2 8 3 10", "NO"},
{"2 8 3 11", "YES"},
{"2 8 4 4", "NO"},
{"2 8 4 5", "NO"},
{"2 8 4 6", "NO"},
{"2 8 4 7", "NO"},
{"2 8 4 8", "NO"},
{"2 8 4 9", "NO"},
{"2 8 4 10", "YES"},
{"2 8 4 11", "NO"},
{"2 8 5 5", "NO"},
{"2 8 5 6", "NO"},
{"2 8 5 7", "NO"},
{"2 8 5 8", "NO"},
{"2 8 5 9", "NO"},
{"2 8 5 10", "NO"},
{"2 8 5 11", "NO"},
{"2 8 6 6", "NO"},
{"2 8 6 7", "NO"},
{"2 8 6 8", "NO"},
{"2 8 6 9", "NO"},
{"2 8 6 10", "NO"},
{"2 8 6 11", "NO"},
{"2 8 7 7", "NO"},
{"2 8 7 8", "NO"},
{"2 8 7 9", "NO"},
{"2 8 7 10", "NO"},
{"2 8 7 11", "NO"},
{"2 8 8 8", "NO"},
{"2 8 8 9", "NO"},
{"2 8 8 10", "NO"},
{"2 8 8 11", "NO"},
{"2 8 9 9", "NO"},
{"2 8 9 10", "NO"},
{"2 8 9 11", "NO"},
{"2 8 10 10", "NO"},
{"2 8 10 11", "NO"},
{"2 8 11 11", "NO"},
{"2 9 2 9", "YES"},
{"2 9 2 10", "NO"},
{"2 9 2 11", "NO"},
{"2 9 3 3", "NO"},
{"2 9 3 4", "NO"},
{"2 9 3 5", "NO"},
{"2 9 3 6", "NO"},
{"2 9 3 7", "NO"},
{"2 9 3 8", "NO"},
{"2 9 3 9", "NO"},
{"2 9 3 10", "NO"},
{"2 9 3 11", "NO"},
{"2 9 4 4", "NO"},
{"2 9 4 5", "NO"},
{"2 9 4 6", "NO"},
{"2 9 4 7", "NO"},
{"2 9 4 8", "NO"},
{"2 9 4 9", "NO"},
{"2 9 4 10", "NO"},
{"2 9 4 11", "NO"},
{"2 9 5 5", "NO"},
{"2 9 5 6", "NO"},
{"2 9 5 7", "NO"},
{"2 9 5 8", "NO"},
{"2 9 5 9", "NO"},
{"2 9 5 10", "NO"},
{"2 9 5 11", "NO"},
{"2 9 6 6", "NO"},
{"2 9 6 7", "NO"},
{"2 9 6 8", "NO"},
{"2 9 6 9", "NO"},
{"2 9 6 10", "NO"},
{"2 9 6 11", "NO"},
{"2 9 7 7", "NO"},
{"2 9 7 8", "NO"},
{"2 9 7 9", "NO"},
{"2 9 7 10", "NO"},
{"2 9 7 11", "NO"},
{"2 9 8 8", "NO"},
{"2 9 8 9", "NO"},
{"2 9 8 10", "NO"},
{"2 9 8 11", "NO"},
{"2 9 9 9", "NO"},
{"2 9 9 10", "NO"},
{"2 9 9 11", "NO"},
{"2 9 10 10", "NO"},
{"2 9 10 11", "NO"},
{"2 9 11 11", "NO"},
{"2 10 2 10", "YES"},
{"2 10 2 11", "NO"},
{"2 10 3 3", "NO"},
{"2 10 3 4", "YES"},
{"2 10 3 5", "NO"},
{"2 10 3 6", "NO"},
{"2 10 3 7", "NO"},
{"2 10 3 8", "YES"},
{"2 10 3 9", "NO"},
{"2 10 3 10", "YES"},
{"2 10 3 11", "YES"},
{"2 10 4 4", "YES"},
{"2 10 4 5", "NO"},
{"2 10 4 6", "YES"},
{"2 10 4 7", "NO"},
{"2 10 4 8", "NO"},
{"2 10 4 9", "YES"},
{"2 10 4 10", "YES"},
{"2 10 4 11", "YES"},
{"2 10 5 5", "NO"},
{"2 10 5 6", "YES"},
{"2 10 5 7", "NO"},
{"2 10 5 8", "NO"},
{"2 10 5 9", "NO"},
{"2 10 5 10", "NO"},
{"2 10 5 11", "YES"},
{"2 10 6 6", "YES"},
{"2 10 6 7", "NO"},
{"2 10 6 8", "NO"},
{"2 10 6 9", "NO"},
{"2 10 6 10", "NO"},
{"2 10 6 11", "NO"},
{"2 10 7 7", "NO"},
{"2 10 7 8", "NO"},
{"2 10 7 9", "NO"},
{"2 10 7 10", "NO"},
{"2 10 7 11", "NO"},
{"2 10 8 8", "NO"},
{"2 10 8 9", "NO"},
{"2 10 8 10", "NO"},
{"2 10 8 11", "NO"},
{"2 10 9 9", "NO"},
{"2 10 9 10", "NO"},
{"2 10 9 11", "NO"},
{"2 10 10 10", "YES"},
{"2 10 10 11", "NO"},
{"2 10 11 11", "NO"},
{"2 11 2 11", "YES"},
{"2 11 3 3", "NO"},
{"2 11 3 4", "NO"},
{"2 11 3 5", "NO"},
{"2 11 3 6", "NO"},
{"2 11 3 7", "YES"},
{"2 11 3 8", "NO"},
{"2 11 3 9", "NO"},
{"2 11 3 10", "NO"},
{"2 11 3 11", "NO"},
{"2 11 4 4", "NO"},
{"2 11 4 5", "NO"},
{"2 11 4 6", "NO"},
{"2 11 4 7", "YES"},
{"2 11 4 8", "NO"},
{"2 11 4 9", "NO"},
{"2 11 4 10", "NO"},
{"2 11 4 11", "NO"},
{"2 11 5 5", "NO"},
{"2 11 5 6", "NO"},
{"2 11 5 7", "NO"},
{"2 11 5 8", "NO"},
{"2 11 5 9", "NO"},
{"2 11 5 10", "YES"},
{"2 11 5 11", "NO"},
{"2 11 6 6", "NO"},
{"2 11 6 7", "NO"},
{"2 11 6 8", "NO"},
{"2 11 6 9", "NO"},
{"2 11 6 10", "YES"},
{"2 11 6 11", "NO"},
{"2 11 7 7", "NO"},
{"2 11 7 8", "NO"},
{"2 11 7 9", "NO"},
{"2 11 7 10", "NO"},
{"2 11 7 11", "NO"},
{"2 11 8 8", "NO"},
{"2 11 8 9", "NO"},
{"2 11 8 10", "NO"},
{"2 11 8 11", "NO"},
{"2 11 9 9", "NO"},
{"2 11 9 10", "NO"},
{"2 11 9 11", "NO"},
{"2 11 10 10", "NO"},
{"2 11 10 11", "NO"},
{"2 11 11 11", "NO"},
{"3 3 3 3", "YES"},
{"3 3 3 4", "YES"},
{"3 3 3 5", "NO"},
{"3 3 3 6", "NO"},
{"3 3 3 7", "NO"},
{"3 3 3 8", "NO"},
{"3 3 3 9", "NO"},
{"3 3 3 10", "NO"},
{"3 3 3 11", "NO"},
{"3 3 4 4", "YES"},
{"3 3 4 5", "NO"},
{"3 3 4 6", "NO"},
{"3 3 4 7", "YES"},
{"3 3 4 8", "YES"},
{"3 3 4 9", "NO"},
{"3 3 4 10", "NO"},
{"3 3 4 11", "NO"},
{"3 3 5 5", "YES"},
{"3 3 5 6", "NO"},
{"3 3 5 7", "NO"},
{"3 3 5 8", "NO"},
{"3 3 5 9", "NO"},
{"3 3 5 10", "NO"},
{"3 3 5 11", "NO"},
{"3 3 6 6", "YES"},
{"3 3 6 7", "NO"},
{"3 3 6 8", "NO"},
{"3 3 6 9", "NO"},
{"3 3 6 10", "NO"},
{"3 3 6 11", "NO"},
{"3 3 7 7", "YES"},
{"3 3 7 8", "YES"},
{"3 3 7 9", "NO"},
{"3 3 7 10", "NO"},
{"3 3 7 11", "NO"},
{"3 3 8 8", "YES"},
{"3 3 8 9", "NO"},
{"3 3 8 10", "NO"},
{"3 3 8 11", "NO"},
{"3 3 9 9", "NO"},
{"3 3 9 10", "NO"},
{"3 3 9 11", "NO"},
{"3 3 10 10", "YES"},
{"3 3 10 11", "NO"},
{"3 3 11 11", "YES"},
{"3 4 3 4", "YES"},
{"3 4 3 5", "NO"},
{"3 4 3 6", "NO"},
{"3 4 3 7", "YES"},
{"3 4 3 8", "YES"},
{"3 4 3 9", "NO"},
{"3 4 3 10", "NO"},
{"3 4 3 11", "NO"},
{"3 4 4 4", "YES"},
{"3 4 4 5", "YES"},
{"3 4 4 6", "NO"},
{"3 4 4 7", "YES"},
{"3 4 4 8", "YES"},
{"3 4 4 9", "NO"},
{"3 4 4 10", "YES"},
{"3 4 4 11", "NO"},
{"3 4 5 5", "NO"},
{"3 4 5 6", "NO"},
{"3 4 5 7", "YES"},
{"3 4 5 8", "YES"},
{"3 4 5 9", "NO"},
{"3 4 5 10", "NO"},
{"3 4 5 11", "YES"},
{"3 4 6 6", "NO"},
{"3 4 6 7", "NO"},
{"3 4 6 8", "NO"},
{"3 4 6 9", "YES"},
{"3 4 6 10", "YES"},
{"3 4 6 11", "YES"},
{"3 4 7 7", "YES"},
{"3 4 7 8", "YES"},
{"3 4 7 9", "NO"},
{"3 4 7 10", "YES"},
{"3 4 7 11", "NO"},
{"3 4 8 8", "NO"},
{"3 4 8 9", "NO"},
{"3 4 8 10", "YES"},
{"3 4 8 11", "NO"},
{"3 4 9 9", "NO"},
{"3 4 9 10", "NO"},
{"3 4 9 11", "NO"},
{"3 4 10 10", "NO"},
{"3 4 10 11", "NO"},
{"3 4 11 11", "NO"},
{"3 5 3 5", "YES"},
{"3 5 3 6", "NO"},
{"3 5 3 7", "NO"},
{"3 5 3 8", "NO"},
{"3 5 3 9", "NO"},
{"3 5 3 10", "NO"},
{"3 5 3 11", "NO"},
{"3 5 4 4", "YES"},
{"3 5 4 5", "NO"},
{"3 5 4 6", "NO"},
{"3 5 4 7", "YES"},
{"3 5 4 8", "YES"},
{"3 5 4 9", "NO"},
{"3 5 4 10", "YES"},
{"3 5 4 11", "YES"},
{"3 5 5 5", "NO"},
{"3 5 5 6", "NO"},
{"3 5 5 7", "NO"},
{"3 5 5 8", "NO"},
{"3 5 5 9", "NO"},
{"3 5 5 10", "NO"},
{"3 5 5 11", "NO"},
{"3 5 6 6", "NO"},
{"3 5 6 7", "NO"},
{"3 5 6 8", "NO"},
{"3 5 6 9", "NO"},
{"3 5 6 10", "NO"},
{"3 5 6 11", "NO"},
{"3 5 7 7", "NO"},
{"3 5 7 8", "NO"},
{"3 5 7 9", "NO"},
{"3 5 7 10", "YES"},
{"3 5 7 11", "NO"},
{"3 5 8 8", "NO"},
{"3 5 8 9", "NO"},
{"3 5 8 10", "YES"},
{"3 5 8 11", "NO"},
{"3 5 9 9", "NO"},
{"3 5 9 10", "NO"},
{"3 5 9 11", "NO"},
{"3 5 10 10", "NO"},
{"3 5 10 11", "NO"},
{"3 5 11 11", "NO"},
{"3 6 3 6", "YES"},
{"3 6 3 7", "NO"},
{"3 6 3 8", "NO"},
{"3 6 3 9", "NO"},
{"3 6 3 10", "NO"},
{"3 6 3 11", "NO"},
{"3 6 4 4", "NO"},
{"3 6 4 5", "NO"},
{"3 6 4 6", "NO"},
{"3 6 4 7", "NO"},
{"3 6 4 8", "NO"},
{"3 6 4 9", "NO"},
{"3 6 4 10", "YES"},
{"3 6 4 11", "NO"},
{"3 6 5 5", "NO"},
{"3 6 5 6", "NO"},
{"3 6 5 7", "NO"},
{"3 6 5 8", "NO"},
{"3 6 5 9", "NO"},
{"3 6 5 10", "NO"},
{"3 6 5 11", "NO"},
{"3 6 6 6", "NO"},
{"3 6 6 7", "NO"},
{"3 6 6 8", "NO"},
{"3 6 6 9", "NO"},
{"3 6 6 10", "NO"},
{"3 6 6 11", "NO"},
{"3 6 7 7", "NO"},
{"3 6 7 8", "NO"},
{"3 6 7 9", "NO"},
{"3 6 7 10", "NO"},
{"3 6 7 11", "NO"},
{"3 6 8 8", "NO"},
{"3 6 8 9", "NO"},
{"3 6 8 10", "NO"},
{"3 6 8 11", "NO"},
{"3 6 9 9", "NO"},
{"3 6 9 10", "NO"},
{"3 6 9 11", "NO"},
{"3 6 10 10", "NO"},
{"3 6 10 11", "NO"},
{"3 6 11 11", "NO"},
{"3 7 3 7", "YES"},
{"3 7 3 8", "YES"},
{"3 7 3 9", "NO"},
{"3 7 3 10", "NO"},
{"3 7 3 11", "NO"},
{"3 7 4 4", "YES"},
{"3 7 4 5", "NO"},
{"3 7 4 6", "NO"},
{"3 7 4 7", "YES"},
{"3 7 4 8", "YES"},
{"3 7 4 9", "NO"},
{"3 7 4 10", "NO"},
{"3 7 4 11", "NO"},
{"3 7 5 5", "NO"},
{"3 7 5 6", "YES"},
{"3 7 5 7", "NO"},
{"3 7 5 8", "NO"},
{"3 7 5 9", "NO"},
{"3 7 5 10", "YES"},
{"3 7 5 11", "NO"},
{"3 7 6 6", "NO"},
{"3 7 6 7", "NO"},
{"3 7 6 8", "NO"},
{"3 7 6 9", "NO"},
{"3 7 6 10", "NO"},
{"3 7 6 11", "NO"},
{"3 7 7 7", "NO"},
{"3 7 7 8", "NO"},
{"3 7 7 9", "NO"},
{"3 7 7 10", "NO"},
{"3 7 7 11", "NO"},
{"3 7 8 8", "NO"},
{"3 7 8 9", "NO"},
{"3 7 8 10", "NO"},
{"3 7 8 11", "NO"},
{"3 7 9 9", "NO"},
{"3 7 9 10", "NO"},
{"3 7 9 11", "NO"},
{"3 7 10 10", "NO"},
{"3 7 10 11", "NO"},
{"3 7 11 11", "NO"},
{"3 8 3 8", "YES"},
{"3 8 3 9", "NO"},
{"3 8 3 10", "NO"},
{"3 8 3 11", "NO"},
{"3 8 4 4", "NO"},
{"3 8 4 5", "YES"},
{"3 8 4 6", "NO"},
{"3 8 4 7", "NO"},
{"3 8 4 8", "NO"},
{"3 8 4 9", "NO"},
{"3 8 4 10", "YES"},
{"3 8 4 11", "NO"},
{"3 8 5 5", "NO"},
{"3 8 5 6", "YES"},
{"3 8 5 7", "NO"},
{"3 8 5 8", "NO"},
{"3 8 5 9", "NO"},
{"3 8 5 10", "NO"},
{"3 8 5 11", "NO"},
{"3 8 6 6", "NO"},
{"3 8 6 7", "NO"},
{"3 8 6 8", "NO"},
{"3 8 6 9", "NO"},
{"3 8 6 10", "NO"},
{"3 8 6 11", "NO"},
{"3 8 7 7", "NO"},
{"3 8 7 8", "NO"},
{"3 8 7 9", "NO"},
{"3 8 7 10", "NO"},
{"3 8 7 11", "NO"},
{"3 8 8 8", "NO"},
{"3 8 8 9", "NO"},
{"3 8 8 10", "NO"},
{"3 8 8 11", "NO"},
{"3 8 9 9", "NO"},
{"3 8 9 10", "NO"},
{"3 8 9 11", "NO"},
{"3 8 10 10", "NO"},
{"3 8 10 11", "NO"},
{"3 8 11 11", "NO"},
{"3 9 3 9", "YES"},
{"3 9 3 10", "NO"},
{"3 9 3 11", "NO"},
{"3 9 4 4", "NO"},
{"3 9 4 5", "NO"},
{"3 9 4 6", "NO"},
{"3 9 4 7", "NO"},
{"3 9 4 8", "NO"},
{"3 9 4 9", "NO"},
{"3 9 4 10", "NO"},
{"3 9 4 11", "NO"},
{"3 9 5 5", "NO"},
{"3 9 5 6", "NO"},
{"3 9 5 7", "NO"},
{"3 9 5 8", "NO"},
{"3 9 5 9", "NO"},
{"3 9 5 10", "YES"},
{"3 9 5 11", "NO"},
{"3 9 6 6", "NO"},
{"3 9 6 7", "NO"},
{"3 9 6 8", "NO"},
{"3 9 6 9", "NO"},
{"3 9 6 10", "NO"},
{"3 9 6 11", "NO"},
{"3 9 7 7", "NO"},
{"3 9 7 8", "NO"},
{"3 9 7 9", "NO"},
{"3 9 7 10", "NO"},
{"3 9 7 11", "NO"},
{"3 9 8 8", "NO"},
{"3 9 8 9", "NO"},
{"3 9 8 10", "NO"},
{"3 9 8 11", "NO"},
{"3 9 9 9", "NO"},
{"3 9 9 10", "NO"},
{"3 9 9 11", "NO"},
{"3 9 10 10", "NO"},
{"3 9 10 11", "NO"},
{"3 9 11 11", "NO"},
{"3 10 3 10", "YES"},
{"3 10 3 11", "NO"},
{"3 10 4 4", "YES"},
{"3 10 4 5", "YES"},
{"3 10 4 6", "YES"},
{"3 10 4 7", "YES"},
{"3 10 4 8", "YES"},
{"3 10 4 9", "NO"},
{"3 10 4 10", "NO"},
{"3 10 4 11", "YES"},
{"3 10 5 5", "NO"},
{"3 10 5 6", "NO"},
{"3 10 5 7", "YES"},
{"3 10 5 8", "YES"},
{"3 10 5 9", "NO"},
{"3 10 5 10", "NO"},
{"3 10 5 11", "NO"},
{"3 10 6 6", "NO"},
{"3 10 6 7", "NO"},
{"3 10 6 8", "NO"},
{"3 10 6 9", "NO"},
{"3 10 6 10", "NO"},
{"3 10 6 11", "NO"},
{"3 10 7 7", "NO"},
{"3 10 7 8", "NO"},
{"3 10 7 9", "NO"},
{"3 10 7 10", "NO"},
{"3 10 7 11", "NO"},
{"3 10 8 8", "NO"},
{"3 10 8 9", "NO"},
{"3 10 8 10", "NO"},
{"3 10 8 11", "NO"},
{"3 10 9 9", "NO"},
{"3 10 9 10", "NO"},
{"3 10 9 11", "NO"},
{"3 10 10 10", "YES"},
{"3 10 10 11", "NO"},
{"3 10 11 11", "NO"},
{"3 11 3 11", "YES"},
{"3 11 4 4", "NO"},
{"3 11 4 5", "YES"},
{"3 11 4 6", "NO"},
{"3 11 4 7", "NO"},
{"3 11 4 8", "NO"},
{"3 11 4 9", "NO"},
{"3 11 4 10", "NO"},
{"3 11 4 11", "NO"},
{"3 11 5 5", "NO"},
{"3 11 5 6", "YES"},
{"3 11 5 7", "NO"},
{"3 11 5 8", "NO"},
{"3 11 5 9", "NO"},
{"3 11 5 10", "NO"},
{"3 11 5 11", "NO"},
{"3 11 6 6", "NO"},
{"3 11 6 7", "NO"},
{"3 11 6 8", "NO"},
{"3 11 6 9", "NO"},
{"3 11 6 10", "YES"},
{"3 11 6 11", "NO"},
{"3 11 7 7", "NO"},
{"3 11 7 8", "NO"},
{"3 11 7 9", "NO"},
{"3 11 7 10", "NO"},
{"3 11 7 11", "NO"},
{"3 11 8 8", "NO"},
{"3 11 8 9", "NO"},
{"3 11 8 10", "NO"},
{"3 11 8 11", "NO"},
{"3 11 9 9", "NO"},
{"3 11 9 10", "NO"},
{"3 11 9 11", "NO"},
{"3 11 10 10", "NO"},
{"3 11 10 11", "NO"},
{"3 11 11 11", "NO"},
{"4 4 4 4", "YES"},
{"4 4 4 5", "YES"},
{"4 4 4 6", "YES"},
{"4 4 4 7", "YES"},
{"4 4 4 8", "YES"},
{"4 4 4 9", "NO"},
{"4 4 4 10", "YES"},
{"4 4 4 11", "NO"},
{"4 4 5 5", "YES"},
{"4 4 5 6", "NO"},
{"4 4 5 7", "YES"},
{"4 4 5 8", "NO"},
{"4 4 5 9", "NO"},
{"4 4 5 10", "YES"},
{"4 4 5 11", "NO"},
{"4 4 6 6", "YES"},
{"4 4 6 7", "NO"},
{"4 4 6 8", "NO"},
{"4 4 6 9", "NO"},
{"4 4 6 10", "NO"},
{"4 4 6 11", "NO"},
{"4 4 7 7", "YES"},
{"4 4 7 8", "NO"},
{"4 4 7 9", "NO"},
{"4 4 7 10", "YES"},
{"4 4 7 11", "YES"},
{"4 4 8 8", "YES"},
{"4 4 8 9", "NO"},
{"4 4 8 10", "NO"},
{"4 4 8 11", "NO"},
{"4 4 9 9", "NO"},
{"4 4 9 10", "NO"},
{"4 4 9 11", "NO"},
{"4 4 10 10", "YES"},
{"4 4 10 11", "NO"},
{"4 4 11 11", "YES"},
{"4 5 4 5", "YES"},
{"4 5 4 6", "NO"},
{"4 5 4 7", "YES"},
{"4 5 4 8", "NO"},
{"4 5 4 9", "NO"},
{"4 5 4 10", "YES"},
{"4 5 4 11", "YES"},
{"4 5 5 5", "NO"},
{"4 5 5 6", "NO"},
{"4 5 5 7", "NO"},
{"4 5 5 8", "NO"},
{"4 5 5 9", "NO"},
{"4 5 5 10", "YES"},
{"4 5 5 11", "NO"},
{"4 5 6 6", "NO"},
{"4 5 6 7", "NO"},
{"4 5 6 8", "NO"},
{"4 5 6 9", "NO"},
{"4 5 6 10", "YES"},
{"4 5 6 11", "NO"},
{"4 5 7 7", "NO"},
{"4 5 7 8", "NO"},
{"4 5 7 9", "NO"},
{"4 5 7 10", "YES"},
{"4 5 7 11", "NO"},
{"4 5 8 8", "NO"},
{"4 5 8 9", "NO"},
{"4 5 8 10", "NO"},
{"4 5 8 11", "YES"},
{"4 5 9 9", "NO"},
{"4 5 9 10", "NO"},
{"4 5 9 11", "NO"},
{"4 5 10 10", "YES"},
{"4 5 10 11", "NO"},
{"4 5 11 11", "NO"},
{"4 6 4 6", "YES"},
{"4 6 4 7", "YES"},
{"4 6 4 8", "NO"},
{"4 6 4 9", "NO"},
{"4 6 4 10", "NO"},
{"4 6 4 11", "NO"},
{"4 6 5 5", "NO"},
{"4 6 5 6", "NO"},
{"4 6 5 7", "NO"},
{"4 6 5 8", "NO"},
{"4 6 5 9", "NO"},
{"4 6 5 10", "NO"},
{"4 6 5 11", "NO"},
{"4 6 6 6", "NO"},
{"4 6 6 7", "NO"},
{"4 6 6 8", "NO"},
{"4 6 6 9", "NO"},
{"4 6 6 10", "NO"},
{"4 6 6 11", "NO"},
{"4 6 7 7", "NO"},
{"4 6 7 8", "YES"},
{"4 6 7 9", "NO"},
{"4 6 7 10", "NO"},
{"4 6 7 11", "YES"},
{"4 6 8 8", "NO"},
{"4 6 8 9", "NO"},
{"4 6 8 10", "NO"},
{"4 6 8 11", "NO"},
{"4 6 9 9", "NO"},
{"4 6 9 10", "NO"},
{"4 6 9 11", "NO"},
{"4 6 10 10", "NO"},
{"4 6 10 11", "NO"},
{"4 6 11 11", "NO"},
{"4 7 4 7", "YES"},
{"4 7 4 8", "NO"},
{"4 7 4 9", "NO"},
{"4 7 4 10", "YES"},
{"4 7 4 11", "YES"},
{"4 7 5 5", "NO"},
{"4 7 5 6", "NO"},
{"4 7 5 7", "NO"},
{"4 7 5 8", "NO"},
{"4 7 5 9", "NO"},
{"4 7 5 10", "NO"},
{"4 7 5 11", "NO"},
{"4 7 6 6", "NO"},
{"4 7 6 7", "NO"},
{"4 7 6 8", "NO"},
{"4 7 6 9", "YES"},
{"4 7 6 10", "YES"},
{"4 7 6 11", "NO"},
{"4 7 7 7", "NO"},
{"4 7 7 8", "YES"},
{"4 7 7 9", "NO"},
{"4 7 7 10", "NO"},
{"4 7 7 11", "NO"},
{"4 7 8 8", "NO"},
{"4 7 8 9", "NO"},
{"4 7 8 10", "YES"},
{"4 7 8 11", "NO"},
{"4 7 9 9", "NO"},
{"4 7 9 10", "NO"},
{"4 7 9 11", "NO"},
{"4 7 10 10", "NO"},
{"4 7 10 11", "NO"},
{"4 7 11 11", "NO"},
{"4 8 4 8", "YES"},
{"4 8 4 9", "NO"},
{"4 8 4 10", "NO"},
{"4 8 4 11", "NO"},
{"4 8 5 5", "NO"},
{"4 8 5 6", "NO"},
{"4 8 5 7", "NO"},
{"4 8 5 8", "NO"},
{"4 8 5 9", "NO"},
{"4 8 5 10", "NO"},
{"4 8 5 11", "NO"},
{"4 8 6 6", "NO"},
{"4 8 6 7", "YES"},
{"4 8 6 8", "NO"},
{"4 8 6 9", "NO"},
{"4 8 6 10", "NO"},
{"4 8 6 11", "NO"},
{"4 8 7 7", "NO"},
{"4 8 7 8", "NO"},
{"4 8 7 9", "NO"},
{"4 8 7 10", "NO"},
{"4 8 7 11", "NO"},
{"4 8 8 8", "NO"},
{"4 8 8 9", "NO"},
{"4 8 8 10", "NO"},
{"4 8 8 11", "NO"},
{"4 8 9 9", "NO"},
{"4 8 9 10", "NO"},
{"4 8 9 11", "NO"},
{"4 8 10 10", "NO"},
{"4 8 10 11", "YES"},
{"4 8 11 11", "NO"},
{"4 9 4 9", "YES"},
{"4 9 4 10", "YES"},
{"4 9 4 11", "NO"},
{"4 9 5 5", "NO"},
{"4 9 5 6", "NO"},
{"4 9 5 7", "NO"},
{"4 9 5 8", "NO"},
{"4 9 5 9", "NO"},
{"4 9 5 10", "NO"},
{"4 9 5 11", "NO"},
{"4 9 6 6", "NO"},
{"4 9 6 7", "NO"},
{"4 9 6 8", "NO"},
{"4 9 6 9", "NO"},
{"4 9 6 10", "NO"},
{"4 9 6 11", "NO"},
{"4 9 7 7", "NO"},
{"4 9 7 8", "NO"},
{"4 9 7 9", "NO"},
{"4 9 7 10", "NO"},
{"4 9 7 11", "NO"},
{"4 9 8 8", "NO"},
{"4 9 8 9", "NO"},
{"4 9 8 10", "NO"},
{"4 9 8 11", "NO"},
{"4 9 9 9", "NO"},
{"4 9 9 10", "NO"},
{"4 9 9 11", "NO"},
{"4 9 10 10", "NO"},
{"4 9 10 11", "NO"},
{"4 9 11 11", "NO"},
{"4 10 4 10", "YES"},
{"4 10 4 11", "YES"},
{"4 10 5 5", "YES"},
{"4 10 5 6", "NO"},
{"4 10 5 7", "YES"},
{"4 10 5 8", "NO"},
{"4 10 5 9", "NO"},
{"4 10 5 10", "YES"},
{"4 10 5 11", "NO"},
{"4 10 6 6", "NO"},
{"4 10 6 7", "NO"},
{"4 10 6 8", "NO"},
{"4 10 6 9", "NO"},
{"4 10 6 10", "YES"},
{"4 10 6 11", "NO"},
{"4 10 7 7", "NO"},
{"4 10 7 8", "NO"},
{"4 10 7 9", "NO"},
{"4 10 7 10", "NO"},
{"4 10 7 11", "NO"},
{"4 10 8 8", "NO"},
{"4 10 8 9", "YES"},
{"4 10 8 10", "NO"},
{"4 10 8 11", "YES"},
{"4 10 9 9", "NO"},
{"4 10 9 10", "NO"},
{"4 10 9 11", "NO"},
{"4 10 10 10", "NO"},
{"4 10 10 11", "NO"},
{"4 10 11 11", "NO"},
{"4 11 4 11", "YES"},
{"4 11 5 5", "NO"},
{"4 11 5 6", "NO"},
{"4 11 5 7", "NO"},
{"4 11 5 8", "YES"},
{"4 11 5 9", "NO"},
{"4 11 5 10", "NO"},
{"4 11 5 11", "NO"},
{"4 11 6 6", "NO"},
{"4 11 6 7", "NO"},
{"4 11 6 8", "NO"},
{"4 11 6 9", "NO"},
{"4 11 6 10", "YES"},
{"4 11 6 11", "NO"},
{"4 11 7 7", "NO"},
{"4 11 7 8", "NO"},
{"4 11 7 9", "NO"},
{"4 11 7 10", "NO"},
{"4 11 7 11", "NO"},
{"4 11 8 8", "NO"},
{"4 11 8 9", "NO"},
{"4 11 8 10", "NO"},
{"4 11 8 11", "NO"},
{"4 11 9 9", "NO"},
{"4 11 9 10", "NO"},
{"4 11 9 11", "NO"},
{"4 11 10 10", "NO"},
{"4 11 10 11", "NO"},
{"4 11 11 11", "NO"},
{"5 5 5 5", "YES"},
{"5 5 5 6", "NO"},
{"5 5 5 7", "NO"},
{"5 5 5 8", "NO"},
{"5 5 5 9", "NO"},
{"5 5 5 10", "NO"},
{"5 5 5 11", "NO"},
{"5 5 6 6", "NO"},
{"5 5 6 7", "NO"},
{"5 5 6 8", "NO"},
{"5 5 6 9", "NO"},
{"5 5 6 10", "NO"},
{"5 5 6 11", "NO"},
{"5 5 7 7", "YES"},
{"5 5 7 8", "NO"},
{"5 5 7 9", "NO"},
{"5 5 7 10", "NO"},
{"5 5 7 11", "NO"},
{"5 5 8 8", "NO"},
{"5 5 8 9", "NO"},
{"5 5 8 10", "NO"},
{"5 5 8 11", "NO"},
{"5 5 9 9", "NO"},
{"5 5 9 10", "NO"},
{"5 5 9 11", "NO"},
{"5 5 10 10", "YES"},
{"5 5 10 11", "NO"},
{"5 5 11 11", "YES"},
{"5 6 5 6", "YES"},
{"5 6 5 7", "NO"},
{"5 6 5 8", "NO"},
{"5 6 5 9", "NO"},
{"5 6 5 10", "NO"},
{"5 6 5 11", "NO"},
{"5 6 6 6", "NO"},
{"5 6 6 7", "NO"},
{"5 6 6 8", "NO"},
{"5 6 6 9", "NO"},
{"5 6 6 10", "NO"},
{"5 6 6 11", "NO"},
{"5 6 7 7", "NO"},
{"5 6 7 8", "NO"},
{"5 6 7 9", "NO"},
{"5 6 7 10", "NO"},
{"5 6 7 11", "NO"},
{"5 6 8 8", "NO"},
{"5 6 8 9", "NO"},
{"5 6 8 10", "NO"},
{"5 6 8 11", "NO"},
{"5 6 9 9", "NO"},
{"5 6 9 10", "NO"},
{"5 6 9 11", "NO"},
{"5 6 10 10", "NO"},
{"5 6 10 11", "NO"},
{"5 6 11 11", "YES"},
{"5 7 5 7", "YES"},
{"5 7 5 8", "NO"},
{"5 7 5 9", "NO"},
{"5 7 5 10", "NO"},
{"5 7 5 11", "NO"},
{"5 7 6 6", "NO"},
{"5 7 6 7", "NO"},
{"5 7 6 8", "NO"},
{"5 7 6 9", "NO"},
{"5 7 6 10", "NO"},
{"5 7 6 11", "NO"},
{"5 7 7 7", "NO"},
{"5 7 7 8", "NO"},
{"5 7 7 9", "NO"},
{"5 7 7 10", "NO"},
{"5 7 7 11", "NO"},
{"5 7 8 8", "NO"},
{"5 7 8 9", "NO"},
{"5 7 8 10", "NO"},
{"5 7 8 11", "NO"},
{"5 7 9 9", "NO"},
{"5 7 9 10", "NO"},
{"5 7 9 11", "NO"},
{"5 7 10 10", "NO"},
{"5 7 10 11", "NO"},
{"5 7 11 11", "NO"},
{"5 8 5 8", "YES"},
{"5 8 5 9", "NO"},
{"5 8 5 10", "NO"},
{"5 8 5 11", "NO"},
{"5 8 6 6", "NO"},
{"5 8 6 7", "NO"},
{"5 8 6 8", "NO"},
{"5 8 6 9", "NO"},
{"5 8 6 10", "NO"},
{"5 8 6 11", "NO"},
{"5 8 7 7", "NO"},
{"5 8 7 8", "NO"},
{"5 8 7 9", "NO"},
{"5 8 7 10", "NO"},
{"5 8 7 11", "NO"},
{"5 8 8 8", "NO"},
{"5 8 8 9", "NO"},
{"5 8 8 10", "NO"},
{"5 8 8 11", "NO"},
{"5 8 9 9", "NO"},
{"5 8 9 10", "NO"},
{"5 8 9 11", "NO"},
{"5 8 10 10", "NO"},
{"5 8 10 11", "NO"},
{"5 8 11 11", "NO"},
{"5 9 5 9", "YES"},
{"5 9 5 10", "NO"},
{"5 9 5 11", "NO"},
{"5 9 6 6", "NO"},
{"5 9 6 7", "NO"},
{"5 9 6 8", "NO"},
{"5 9 6 9", "NO"},
{"5 9 6 10", "NO"},
{"5 9 6 11", "NO"},
{"5 9 7 7", "NO"},
{"5 9 7 8", "NO"},
{"5 9 7 9", "NO"},
{"5 9 7 10", "NO"},
{"5 9 7 11", "NO"},
{"5 9 8 8", "NO"},
{"5 9 8 9", "NO"},
{"5 9 8 10", "NO"},
{"5 9 8 11", "NO"},
{"5 9 9 9", "NO"},
{"5 9 9 10", "NO"},
{"5 9 9 11", "NO"},
{"5 9 10 10", "NO"},
{"5 9 10 11", "NO"},
{"5 9 11 11", "NO"},
{"5 10 5 10", "YES"},
{"5 10 5 11", "NO"},
{"5 10 6 6", "NO"},
{"5 10 6 7", "NO"},
{"5 10 6 8", "NO"},
{"5 10 6 9", "NO"},
{"5 10 6 10", "NO"},
{"5 10 6 11", "NO"},
{"5 10 7 7", "NO"},
{"5 10 7 8", "NO"},
{"5 10 7 9", "NO"},
{"5 10 7 10", "NO"},
{"5 10 7 11", "NO"},
{"5 10 8 8", "NO"},
{"5 10 8 9", "NO"},
{"5 10 8 10", "NO"},
{"5 10 8 11", "NO"},
{"5 10 9 9", "NO"},
{"5 10 9 10", "NO"},
{"5 10 9 11", "NO"},
{"5 10 10 10", "NO"},
{"5 10 10 11", "NO"},
{"5 10 11 11", "NO"},
{"5 11 5 11", "YES"},
{"5 11 6 6", "NO"},
{"5 11 6 7", "NO"},
{"5 11 6 8", "NO"},
{"5 11 6 9", "NO"},
{"5 11 6 10", "NO"},
{"5 11 6 11", "YES"},
{"5 11 7 7", "NO"},
{"5 11 7 8", "NO"},
{"5 11 7 9", "NO"},
{"5 11 7 10", "NO"},
{"5 11 7 11", "NO"},
{"5 11 8 8", "NO"},
{"5 11 8 9", "NO"},
{"5 11 8 10", "NO"},
{"5 11 8 11", "NO"},
{"5 11 9 9", "NO"},
{"5 11 9 10", "NO"},
{"5 11 9 11", "NO"},
{"5 11 10 10", "NO"},
{"5 11 10 11", "NO"},
{"5 11 11 11", "NO"},
{"6 6 6 6", "YES"},
{"6 6 6 7", "NO"},
{"6 6 6 8", "NO"},
{"6 6 6 9", "NO"},
{"6 6 6 10", "NO"},
{"6 6 6 11", "NO"},
{"6 6 7 7", "YES"},
{"6 6 7 8", "NO"},
{"6 6 7 9", "NO"},
{"6 6 7 10", "NO"},
{"6 6 7 11", "NO"},
{"6 6 8 8", "YES"},
{"6 6 8 9", "NO"},
{"6 6 8 10", "NO"},
{"6 6 8 11", "NO"},
{"6 6 9 9", "NO"},
{"6 6 9 10", "NO"},
{"6 6 9 11", "NO"},
{"6 6 10 10", "YES"},
{"6 6 10 11", "NO"},
{"6 6 11 11", "NO"},
{"6 7 6 7", "YES"},
{"6 7 6 8", "NO"},
{"6 7 6 9", "NO"},
{"6 7 6 10", "NO"},
{"6 7 6 11", "NO"},
{"6 7 7 7", "NO"},
{"6 7 7 8", "NO"},
{"6 7 7 9", "NO"},
{"6 7 7 10", "YES"},
{"6 7 7 11", "NO"},
{"6 7 8 8", "NO"},
{"6 7 8 9", "NO"},
{"6 7 8 10", "NO"},
{"6 7 8 11", "NO"},
{"6 7 9 9", "NO"},
{"6 7 9 10", "NO"},
{"6 7 9 11", "NO"},
{"6 7 10 10", "NO"},
{"6 7 10 11", "NO"},
{"6 7 11 11", "NO"},
{"6 8 6 8", "YES"},
{"6 8 6 9", "NO"},
{"6 8 6 10", "NO"},
{"6 8 6 11", "NO"},
{"6 8 7 7", "NO"},
{"6 8 7 8", "NO"},
{"6 8 7 9", "NO"},
{"6 8 7 10", "NO"},
{"6 8 7 11", "NO"},
{"6 8 8 8", "NO"},
{"6 8 8 9", "NO"},
{"6 8 8 10", "NO"},
{"6 8 8 11", "NO"},
{"6 8 9 9", "NO"},
{"6 8 9 10", "NO"},
{"6 8 9 11", "NO"},
{"6 8 10 10", "NO"},
{"6 8 10 11", "NO"},
{"6 8 11 11", "NO"},
{"6 9 6 9", "YES"},
{"6 9 6 10", "NO"},
{"6 9 6 11", "NO"},
{"6 9 7 7", "NO"},
{"6 9 7 8", "NO"},
{"6 9 7 9", "NO"},
{"6 9 7 10", "NO"},
{"6 9 7 11", "NO"},
{"6 9 8 8", "NO"},
{"6 9 8 9", "NO"},
{"6 9 8 10", "NO"},
{"6 9 8 11", "NO"},
{"6 9 9 9", "NO"},
{"6 9 9 10", "NO"},
{"6 9 9 11", "NO"},
{"6 9 10 10", "NO"},
{"6 9 10 11", "NO"},
{"6 9 11 11", "NO"},
{"6 10 6 10", "YES"},
{"6 10 6 11", "NO"},
{"6 10 7 7", "NO"},
{"6 10 7 8", "NO"},
{"6 10 7 9", "YES"},
{"6 10 7 10", "NO"},
{"6 10 7 11", "NO"},
{"6 10 8 8", "YES"},
{"6 10 8 9", "NO"},
{"6 10 8 10", "NO"},
{"6 10 8 11", "NO"},
{"6 10 9 9", "NO"},
{"6 10 9 10", "NO"},
{"6 10 9 11", "NO"},
{"6 10 10 10", "NO"},
{"6 10 10 11", "NO"},
{"6 10 11 11", "NO"},
{"6 11 6 11", "YES"},
{"6 11 7 7", "NO"},
{"6 11 7 8", "NO"},
{"6 11 7 9", "NO"},
{"6 11 7 10", "NO"},
{"6 11 7 11", "NO"},
{"6 11 8 8", "NO"},
{"6 11 8 9", "NO"},
{"6 11 8 10", "NO"},
{"6 11 8 11", "NO"},
{"6 11 9 9", "NO"},
{"6 11 9 10", "NO"},
{"6 11 9 11", "NO"},
{"6 11 10 10", "NO"},
{"6 11 10 11", "NO"},
{"6 11 11 11", "NO"},
{"7 7 7 7", "YES"},
{"7 7 7 8", "NO"},
{"7 7 7 9", "NO"},
{"7 7 7 10", "NO"},
{"7 7 7 11", "NO"},
{"7 7 8 8", "NO"},
{"7 7 8 9", "NO"},
{"7 7 8 10", "NO"},
{"7 7 8 11", "NO"},
{"7 7 9 9", "NO"},
{"7 7 9 10", "NO"},
{"7 7 9 11", "NO"},
{"7 7 10 10", "YES"},
{"7 7 10 11", "NO"},
{"7 7 11 11", "NO"},
{"7 8 7 8", "YES"},
{"7 8 7 9", "NO"},
{"7 8 7 10", "NO"},
{"7 8 7 11", "NO"},
{"7 8 8 8", "NO"},
{"7 8 8 9", "NO"},
{"7 8 8 10", "NO"},
{"7 8 8 11", "NO"},
{"7 8 9 9", "NO"},
{"7 8 9 10", "NO"},
{"7 8 9 11", "NO"},
{"7 8 10 10", "NO"},
{"7 8 10 11", "NO"},
{"7 8 11 11", "NO"},
{"7 9 7 9", "YES"},
{"7 9 7 10", "NO"},
{"7 9 7 11", "NO"},
{"7 9 8 8", "NO"},
{"7 9 8 9", "NO"},
{"7 9 8 10", "NO"},
{"7 9 8 11", "NO"},
{"7 9 9 9", "NO"},
{"7 9 9 10", "NO"},
{"7 9 9 11", "NO"},
{"7 9 10 10", "NO"},
{"7 9 10 11", "NO"},
{"7 9 11 11", "NO"},
{"7 10 7 10", "YES"},
{"7 10 7 11", "NO"},
{"7 10 8 8", "NO"},
{"7 10 8 9", "NO"},
{"7 10 8 10", "NO"},
{"7 10 8 11", "NO"},
{"7 10 9 9", "NO"},
{"7 10 9 10", "YES"},
{"7 10 9 11", "NO"},
{"7 10 10 10", "NO"},
{"7 10 10 11", "NO"},
{"7 10 11 11", "NO"},
{"7 11 7 11", "YES"},
{"7 11 8 8", "NO"},
{"7 11 8 9", "NO"},
{"7 11 8 10", "NO"},
{"7 11 8 11", "NO"},
{"7 11 9 9", "NO"},
{"7 11 9 10", "NO"},
{"7 11 9 11", "NO"},
{"7 11 10 10", "NO"},
{"7 11 10 11", "NO"},
{"7 11 11 11", "NO"},
{"8 8 8 8", "YES"},
{"8 8 8 9", "NO"},
{"8 8 8 10", "NO"},
{"8 8 8 11", "NO"},
{"8 8 9 9", "NO"},
{"8 8 9 10", "NO"},
{"8 8 9 11", "NO"},
{"8 8 10 10", "YES"},
{"8 8 10 11", "NO"},
{"8 8 11 11", "NO"},
{"8 9 8 9", "YES"},
{"8 9 8 10", "NO"},
{"8 9 8 11", "NO"},
{"8 9 9 9", "NO"},
{"8 9 9 10", "NO"},
{"8 9 9 11", "NO"},
{"8 9 10 10", "NO"},
{"8 9 10 11", "NO"},
{"8 9 11 11", "NO"},
{"8 10 8 10", "YES"},
{"8 10 8 11", "NO"},
{"8 10 9 9", "NO"},
{"8 10 9 10", "NO"},
{"8 10 9 11", "NO"},
{"8 10 10 10", "NO"},
{"8 10 10 11", "NO"},
{"8 10 11 11", "NO"},
{"8 11 8 11", "YES"},
{"8 11 9 9", "NO"},
{"8 11 9 10", "NO"},
{"8 11 9 11", "NO"},
{"8 11 10 10", "NO"},
{"8 11 10 11", "NO"},
{"8 11 11 11", "NO"},
{"9 9 9 9", "YES"},
{"9 9 9 10", "NO"},
{"9 9 9 11", "NO"},
{"9 9 10 10", "YES"},
{"9 9 10 11", "NO"},
{"9 9 11 11", "NO"},
{"9 10 9 10", "YES"},
{"9 10 9 11", "NO"},
{"9 10 10 10", "NO"},
{"9 10 10 11", "NO"},
{"9 10 11 11", "NO"},
{"9 11 9 11", "YES"},
{"9 11 10 10", "NO"},
{"9 11 10 11", "NO"},
{"9 11 11 11", "NO"},
{"10 10 10 10", "YES"},
{"10 10 10 11", "NO"},
{"10 10 11 11", "YES"},
{"10 11 10 11", "YES"},
{"10 11 11 11", "NO"},
{"11 11 11 11", "YES"}
};

map<pp, string> result;

int main()
{
  REP(i, MAX)
  {
    cout << X[i][0] << endl;
    istringstream is(X[i][0]);
    int a1, a2, b1, b2;
    is >> a1 >> a2 >> b1 >>b2;
    pp temp = norm(a1, a2, b1, b2);
    result[temp] = X[i][1];
  }
  
  while (gets(in))
  {
    int a1 = get_index(in[0]), a2 = get_index(in[1]), b1 = get_index(in[3]), b2 = get_index(in[4]);
    pp temp = norm(a1, a2, b1, b2);
    while (result.find(temp) == result.end())
      temp = temp;
    printf("%s\n", result[temp].c_str());
  }
  
  return 0;
}