#include <algorithm>
#include <cctype>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstring>
#include <iomanip>
#include <iostream>
#include <list>
#include <map>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <string>
#include <utility>
#include <vector>
using namespace std;

#define DEBUG(x) cout << ">>> " << #x << " : " << x << endl;
#define REP(i,a) for (int i = 0; i < (a); ++i)
#define FOR(i,a,b) for (int i = (a); i <= (b); ++i)
#define FORD(i,a,b) for (int i = (a); i >= (b); --i)
inline bool EQ(double a, double b) { return fabs(a-b) < 1e-9; }

const int INF = 1<<29;
typedef long long ll;
///////////////////////////////////////////////////////////////////////////

const int MAX = 1024;
int N, root;
vector<pair<int, int> > graph[MAX];

int go(int node, int parent)
{
  int up = 0, sum = 0;
  REP(i, graph[node].size())
  {
    if (graph[node][i].first == parent)
      up = graph[node][i].second;
    else
      sum += go(graph[node][i].first, node);
  }
  if (up == 0) return sum;
  if (sum == 0) return up;
  return min(up, sum);
}

int main()
{
  while (scanf("%d%d", &N, &root) == 2)
  {
    --root;
    REP(i, N) graph[i].clear();
    REP(i, N-1)
   {
      int a, b, c;
      scanf("%d%d%d", &a, &b,&c);
      --a;
      --b;
      graph[a].push_back(make_pair(b, c));
      graph[b].push_back(make_pair(a, c));
   }
   printf("%d\n", go(root, -1));
  }
  
  return 0;
}